Index: basicnet/netutils/ethereal.xml
===================================================================
--- basicnet/netutils/ethereal.xml	(revision 65912491c5430e587e3f10511876fbbe9d076da9)
+++ basicnet/netutils/ethereal.xml	(revision 3932f2971a188ad9dcac5e790b861bd74b6eade6)
@@ -7,8 +7,8 @@
   <!ENTITY ethereal-download-http "http://www.ethereal.com/distribution/ethereal-&ethereal-version;.tar.bz2">
   <!ENTITY ethereal-download-ftp  "ftp://ftp.ethereal.com/pub/ethereal/all-versions/ethereal-&ethereal-version;.tar.bz2">
-  <!ENTITY ethereal-md5sum        "297f678c037f88429250830e924b8fa0">
-  <!ENTITY ethereal-size          "8.5 MB">
-  <!ENTITY ethereal-buildsize     "315 MB">
-  <!ENTITY ethereal-time          "5.0 SBU">
+  <!ENTITY ethereal-md5sum        "f9905b9d347acdc05af664a7553f7f76">
+  <!ENTITY ethereal-size          "8.8 MB">
+  <!ENTITY ethereal-buildsize     "331 MB">
+  <!ENTITY ethereal-time          "5.4 SBU">
 ]>
 
@@ -65,4 +65,15 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact"> 
+      <listitem> 
+        <para>Additional Documentation: <ulink
+        url="http://www.ethereal.com/docs/"/></para>
+      </listitem>
+    </itemizedlist>
+
+    <para>From this page you can download many different docs in a variety
+    of formats.</para>
+
     <bridgehead renderas="sect3">Ethereal dependencies</bridgehead>
 
@@ -83,7 +94,16 @@
     <xref linkend="python"/>,
     <xref linkend="pcre"/>,
-    <ulink url="http://www.net-snmp.org/">Net-SNMP</ulink>, and
-    <ulink url="http://www.gnu.org/software/adns/adns.html">adns</ulink></para>
-
+    <ulink url="http://www.gnu.org/software/gnutls/">GnuTLS</ulink>
+    (which needs <ulink
+    url="http://www.gnupg.org/download/index.html#libgpg-error">libgpg-error</ulink>
+    then <ulink
+    url="http://www.gnupg.org/download/index.html#libgcrypt">libgcrypt</ulink>),
+    <ulink url="http://www.net-snmp.org/">Net-SNMP</ulink>,
+    <ulink url="http://www.gnu.org/software/adns/adns.html">adns</ulink>, and
+    <ulink url="http://www.lua.org/">Lua</ulink></para>
+
+    <!-- Though configure looks for all these, and the developers I'm
+         sure use them, the doc sources are not included in the release
+         tarball (they are in SVN, though)
     <bridgehead renderas="sect4">Optional (to build additional
     documentation)</bridgehead>
@@ -92,4 +112,5 @@
     <xref linkend="libxslt"/>, and
     <xref linkend="fop"/></para>
+    -->
 
     <para condition="html" role="usernotes">User Notes:
@@ -104,9 +125,8 @@
       <application>Ethereal</application> to capture live packets from the
       network. Enable the Packet protocol by choosing <quote>Y</quote> in the
-      <quote>Device Drivers</quote> &ndash; <quote>Networking support</quote>
-      &ndash; <quote>Networking options</quote> &ndash;
-      <quote>Packet socket</quote> configuration parameter. Alternatively,
-      build the af_packet module by choosing <quote>M</quote> in this
-      parameter.</para>
+      <quote>Networking</quote> &ndash; <quote>Packet socket</quote>
+      configuration parameter. Alternatively, build the
+      <filename>af_packet.ko</filename> module by choosing <quote>M</quote> in
+      this parameter.</para>
 
       <indexterm zone="ethereal ethereal-kernel">
@@ -123,5 +143,7 @@
     commands:</para>
 
-<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc --enable-threads &amp;&amp;
+<screen><userinput>./configure --prefix=/usr \
+            --sysconfdir=/etc \
+            --enable-threads &amp;&amp;
 make</userinput></screen>
 
@@ -131,12 +153,20 @@
 
 <screen role="root"><userinput>make install &amp;&amp;
-install -v -m644 doc/README.* doc/randpkt.txt /usr/share/ethereal &amp;&amp;
+install -v -m644 FAQ README{,.linux} doc/README.* doc/*.{pod,txt} \
+                 /usr/share/ethereal &amp;&amp;
 install -v -m644 -D ethereal.desktop \
-    /usr/share/applications/ethereal.desktop &amp;&amp;
+                    /usr/share/applications/ethereal.desktop &amp;&amp;
 install -v -m644 -D image/elogo3d48x48.png \
-    /usr/share/pixmaps/ethereal.png &amp;&amp;
-install -v -m755 -d /usr/share/pixmaps/ethereal/toolbar &amp;&amp;
-install -v -m644 image/*.{png,ico,xpm} /usr/share/pixmaps/ethereal &amp;&amp;
-install -v -m644 image/toolbar/* /usr/share/pixmaps/ethereal/toolbar</userinput></screen>
+                    /usr/share/pixmaps/ethereal.png &amp;&amp;
+install -v -m755 -d /usr/share/pixmaps/ethereal &amp;&amp;
+install -v -m644 image/*.{png,ico,xpm,bmp} \
+                 /usr/share/pixmaps/ethereal</userinput></screen>
+
+    <para>If you downloaded any of the documentation files from the page
+    listed in the 'Additional Downloads', install them by issuing the following
+    commands as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/ethereal-&ethereal-version; &amp;&amp;
+install -v -m644 <replaceable>&lt;Downloaded_Files&gt;</replaceable> /usr/share/doc/ethereal-&ethereal-version;</userinput></screen>
 
   </sect2>
Index: general.ent
===================================================================
--- general.ent	(revision 65912491c5430e587e3f10511876fbbe9d076da9)
+++ general.ent	(revision 3932f2971a188ad9dcac5e790b861bd74b6eade6)
@@ -1,7 +1,7 @@
-<!ENTITY day          "30">                   <!-- Always 2 digits -->
-<!ENTITY month        "04">                   <!-- Always 2 digits -->
+<!ENTITY day          "01">                   <!-- Always 2 digits -->
+<!ENTITY month        "05">                   <!-- Always 2 digits -->
 <!ENTITY year         "2006">
 <!ENTITY version      "svn-&year;&month;&day;">
-<!ENTITY releasedate  "April &day;th, &year;">
+<!ENTITY releasedate  "May &day;st, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -298,5 +298,5 @@
 <!ENTITY whois-version                "4.7.13">
 <!ENTITY bind-version                 "9.3.2">
-<!ENTITY ethereal-version             "0.10.14">
+<!ENTITY ethereal-version             "0.99.0">
 
 <!-- Chapter 20 -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 65912491c5430e587e3f10511876fbbe9d076da9)
+++ introduction/welcome/changelog.xml	(revision 3932f2971a188ad9dcac5e790b861bd74b6eade6)
@@ -43,8 +43,17 @@
 
     <listitem>
+      <para>May 1st, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[randy] - Updated to Ethereal-0.99.0.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>April 30th, 2006</para>
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Removed the gid for bina and usb as they
+          <para>[bdubbs] - Removed the gid for bin and usb as they
           are defined in LFS.  Added comment in the section about 
           users and groups that base entries are in LFS.</para>