Index: general.ent
===================================================================
--- general.ent	(revision a0232fc3069c5f4d3cbb6b27552a6e3155d5e899)
+++ general.ent	(revision 3940f2f88d28bb51078cc6302f6f3f49b5795a8e)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "01">                   <!-- Always 2 digits -->
+<!ENTITY day          "02">                   <!-- Always 2 digits -->
 <!ENTITY month        "01">                   <!-- Always 2 digits -->
 <!ENTITY year         "2021">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "January 1st, &year;">
+<!ENTITY releasedate  "January 2nd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/python-dbusmock.xml
===================================================================
--- general/prog/python-dbusmock.xml	(revision a0232fc3069c5f4d3cbb6b27552a6e3155d5e899)
+++ general/prog/python-dbusmock.xml	(revision 3940f2f88d28bb51078cc6302f6f3f49b5795a8e)
@@ -7,7 +7,7 @@
   <!ENTITY dbusmock-download-http "https://github.com/martinpitt/python-dbusmock/releases/download/&dbusmock-version;/python-dbusmock-&dbusmock-version;.tar.gz">
   <!ENTITY dbusmock-download-ftp  " ">
-  <!ENTITY dbusmock-md5sum        "136e255d2241ea40a271a60389f55fdd">
-  <!ENTITY dbusmock-size          "72 KB">
-  <!ENTITY dbusmock-buildsize     "880 KB">
+  <!ENTITY dbusmock-md5sum        "f9203f4b78ac90f7e804361fc39042f3">
+  <!ENTITY dbusmock-size          "68 KB">
+  <!ENTITY dbusmock-buildsize     "820 KB">
   <!ENTITY dbusmock-time          "less than 0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a0232fc3069c5f4d3cbb6b27552a6e3155d5e899)
+++ introduction/welcome/changelog.xml	(revision 3940f2f88d28bb51078cc6302f6f3f49b5795a8e)
@@ -43,4 +43,26 @@
     -->
     <listitem>
+      <para>January 2nd, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to mesa-20.3.2. Fixes
+          <ulink url="&blfs-ticket-root;14448">#14448</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to python-dbusmock-0.21.0. Fixes
+          <ulink url="&blfs-ticket-root;14452">#14452</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to wget-1.21. Fixes
+          <ulink url="&blfs-ticket-root;14449">#14449</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.2253. Addreses 
+          <ulink url="&blfs-ticket-root;12241">#12241</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>January 1st, 2021</para>
       <itemizedlist>
Index: networking/netprogs/wget.xml
===================================================================
--- networking/netprogs/wget.xml	(revision a0232fc3069c5f4d3cbb6b27552a6e3155d5e899)
+++ networking/netprogs/wget.xml	(revision 3940f2f88d28bb51078cc6302f6f3f49b5795a8e)
@@ -9,8 +9,8 @@
   <!ENTITY wget-download-ftp
            "&gnu-ftp;/wget/wget-&wget-version;.tar.gz">
-  <!ENTITY wget-md5sum        "db4e6dc7977cbddcd543b240079a4899">
-  <!ENTITY wget-size          "4.2 MB">
-  <!ENTITY wget-buildsize     "60 MB (with tests)">
-  <!ENTITY wget-time          "0.4 SBU (with tests)">
+  <!ENTITY wget-md5sum        "3852118b7a771a7c9c0388883c8f5dbf">
+  <!ENTITY wget-size          "4.6 MB">
+  <!ENTITY wget-buildsize     "70 MB (with tests)">
+  <!ENTITY wget-time          "0.5 SBU (with tests)">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision a0232fc3069c5f4d3cbb6b27552a6e3155d5e899)
+++ packages.ent	(revision 3940f2f88d28bb51078cc6302f6f3f49b5795a8e)
@@ -68,5 +68,5 @@
 <!ENTITY juffed-version               "0.10.r71.gc3c1a3f">
 <!ENTITY nano-version                 "5.4">
-<!ENTITY vim-version                  "8.2.2070">
+<!ENTITY vim-version                  "8.2.2253">
 <!ENTITY vim-majmin                   "82">
 
@@ -547,5 +547,5 @@
 <!ENTITY docutils-version             "0.16">
 <!ENTITY dbus-python-version          "1.2.16">
-<!ENTITY dbusmock-version             "0.20.0">
+<!ENTITY dbusmock-version             "0.21.0">
 <!-- <!ENTITY funcsigs-version             "1.0.2"> -->
 <!ENTITY decorator-version            "4.4.2">
@@ -590,5 +590,5 @@
 <!ENTITY rsync-version                "3.2.3">
 <!ENTITY samba-version                "4.13.3">
-<!ENTITY wget-version                 "1.20.3">
+<!ENTITY wget-version                 "1.21">
 <!ENTITY wireless-tools-version       "29">
 <!ENTITY wpa_supplicant-version       "2.9">
@@ -693,5 +693,5 @@
 <!ENTITY xkeyboard-config-version     "2.31">
 <!ENTITY mesa-major-minor             "20.3">
-<!ENTITY mesa-version                 "&mesa-major-minor;.1">
+<!ENTITY mesa-version                 "&mesa-major-minor;.2">
 <!ENTITY xcb-util-version             "0.4.0">
 <!ENTITY xcb-util-image-version       "0.4.0">
Index: postlfs/editors/vim.xml
===================================================================
--- postlfs/editors/vim.xml	(revision a0232fc3069c5f4d3cbb6b27552a6e3155d5e899)
+++ postlfs/editors/vim.xml	(revision 3940f2f88d28bb51078cc6302f6f3f49b5795a8e)
@@ -9,7 +9,7 @@
   <!ENTITY vim-download-http "&sources-anduin-http;/vim/vim-&vim-version;.tar.gz">
   <!ENTITY vim-download-ftp  " ">
-  <!ENTITY vim-md5sum        "52ecae95a255a4e9221d81e6ad64e6a2">
+  <!ENTITY vim-md5sum        "497890e1f563a65c6f7594c0b0f5c0b9">
   <!ENTITY vim-size          "15 MB">
-  <!ENTITY vim-buildsize     "109 MB (add 71 MB for tests)">
+  <!ENTITY vim-buildsize     "110 MB (add 71 MB for tests)">
   <!ENTITY vim-time          "0.3 SBU (with parallelism=4; add 1.3 SBU for tests)">
 ]>
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision a0232fc3069c5f4d3cbb6b27552a6e3155d5e899)
+++ x/installing/mesa.xml	(revision 3940f2f88d28bb51078cc6302f6f3f49b5795a8e)
@@ -7,8 +7,8 @@
   <!ENTITY mesa-download-http "https://mesa.freedesktop.org/archive/mesa-&mesa-version;.tar.xz">
   <!ENTITY mesa-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/mesa-&mesa-version;.tar.xz">
-  <!ENTITY mesa-md5sum        "e9242ee9a07a1d932bcf7b28284e2dcf">
+  <!ENTITY mesa-md5sum        "b378394df26fc6b4d58888f9f1ef1bdb">
   <!ENTITY mesa-size          "14 MB">
-  <!ENTITY mesa-buildsize     "631 MB (with docs), add 317 MB for tests">
-  <!ENTITY mesa-time          "2.7 SBU (with parallelism=4 and docs). Add 0.5 SBU for tests">
+  <!ENTITY mesa-buildsize     "481 MB (with docs), add 317 MB for tests">
+  <!ENTITY mesa-time          "2.5 SBU (with parallelism=4 and docs). Add 0.5 SBU for tests">
 ]>
 