Index: general/genutils/highlight.xml
===================================================================
--- general/genutils/highlight.xml	(revision eb07735db793496b46b7713213aa658b9139212b)
+++ general/genutils/highlight.xml	(revision 3947fa9bece710140cc9aa2b85ab36a7f46b60da)
@@ -7,8 +7,8 @@
   <!ENTITY highlight-download-http "http://www.andre-simon.de/zip/highlight-&highlight-version;.tar.bz2">
   <!ENTITY highlight-download-ftp  " ">
-  <!ENTITY highlight-md5sum        "4c318f650c5f7447207ae7de7b9847c0">
+  <!ENTITY highlight-md5sum        "e61056f9cfe5f865ea7f87c74f05d22f">
   <!ENTITY highlight-size          "1.4 MB">
   <!ENTITY highlight-buildsize     "31 MB (with gui)">
-  <!ENTITY highlight-time          "0.4 SBU (Using paralllelism=4; with gui)">
+  <!ENTITY highlight-time          "0.3 SBU (Using paralllelism=4; with gui)">
 ]>
 
@@ -176,5 +176,5 @@
         <seg>
           /etc/highlight,
-          /usr/share/doc/highlight/&highlight-version;, and
+          /usr/share/doc/highlight-&highlight-version;, and
           /usr/share/highlight
         </seg>
Index: general/sysutils/unrar.xml
===================================================================
--- general/sysutils/unrar.xml	(revision eb07735db793496b46b7713213aa658b9139212b)
+++ general/sysutils/unrar.xml	(revision 3947fa9bece710140cc9aa2b85ab36a7f46b60da)
@@ -7,5 +7,5 @@
   <!ENTITY unrar-download-http "https://www.rarlab.com/rar/unrarsrc-&unrar-version;.tar.gz">
   <!ENTITY unrar-download-ftp  " ">
-  <!ENTITY unrar-md5sum        "2a3d0a770190ab05f62cafe3b66700f0">
+  <!ENTITY unrar-md5sum        "d4efcc8ecf82ef747fad02aa6b3197a6">
   <!ENTITY unrar-size          "240 KB">
   <!ENTITY unrar-buildsize     "2.2 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision eb07735db793496b46b7713213aa658b9139212b)
+++ introduction/welcome/changelog.xml	(revision 3947fa9bece710140cc9aa2b85ab36a7f46b60da)
@@ -46,4 +46,20 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to network-manager-applet-1.30.0. Fixes
+          <ulink url="&blfs-ticket-root;17283">17283</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libnma-1.10.4. Fixes
+          <ulink url="&blfs-ticket-root;17284">17284</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to highlight-4.4. Fixes
+          <ulink url="&blfs-ticket-root;17299">17299</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to unrar-6.2.2. Fixes
+          <ulink url="&blfs-ticket-root;17300">#17300</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to sysstat-12.6.1 (Security Update). Fixes
           <ulink url="&blfs-ticket-root;17289">#17289</ulink>.</para>
Index: networking/netlibs/libnma.xml
===================================================================
--- networking/netlibs/libnma.xml	(revision eb07735db793496b46b7713213aa658b9139212b)
+++ networking/netlibs/libnma.xml	(revision 3947fa9bece710140cc9aa2b85ab36a7f46b60da)
@@ -7,7 +7,7 @@
   <!ENTITY libnma-download-http "&gnome-download-http;/libnma/1.10/libnma-&libnma-version;.tar.xz">
   <!ENTITY libnma-download-ftp  "&gnome-download-ftp;/libnma/1.10/libnma-&libnma-version;.tar.xz">
-  <!ENTITY libnma-md5sum        "5ace2e91cceccb61279cd31947c92037">
+  <!ENTITY libnma-md5sum        "d4503a9a708b2cbd949a3335a9f10d47">
   <!ENTITY libnma-size          "1.3 MB">
-  <!ENTITY libnma-buildsize     "22 MB">
+  <!ENTITY libnma-buildsize     "24 MB">
   <!ENTITY libnma-time          "0.3 SBU (with tests)">
 ]>
@@ -164,5 +164,5 @@
         </seg>
         <seg>
-          libnma.so
+          libnma.so and libnma-gtk4.so
         </seg>
         <seg>
@@ -188,4 +188,17 @@
         </listitem>
       </varlistentry>
+
+      <varlistentry id="libnma-gtk4">
+        <term><filename class="libraryfile">libnma-gtk4.so</filename></term>
+        <listitem>
+          <para>
+            contains the GTK-4 version of the
+            <application>NetworkManager</application> GUI library
+          </para>
+          <indexterm zone="libnma libnma-gtk4">
+            <primary sortas="c-libnma-gtk4">libnma-gtk4.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
     </variablelist>
   </sect2>
Index: networking/netutils/network-manager-applet.xml
===================================================================
--- networking/netutils/network-manager-applet.xml	(revision eb07735db793496b46b7713213aa658b9139212b)
+++ networking/netutils/network-manager-applet.xml	(revision 3947fa9bece710140cc9aa2b85ab36a7f46b60da)
@@ -9,8 +9,8 @@
   <!ENTITY network-manager-applet-download-ftp
            "&gnome-download-ftp;/network-manager-applet/&network-manager-applet-minor;/network-manager-applet-&network-manager-applet-version;.tar.xz">
-  <!ENTITY network-manager-applet-md5sum    "d714602e88aabaf95a9ad9c3d76f1094">
+  <!ENTITY network-manager-applet-md5sum    "1ad82752f1590dd356afda8a451910f2">
   <!ENTITY network-manager-applet-size      "1.8 MB">
   <!ENTITY network-manager-applet-buildsize "39 MB (with tests)">
-  <!ENTITY network-manager-applet-time      "0.3 SBU (with tests)">
+  <!ENTITY network-manager-applet-time      "0.2 SBU (with tests)">
 ]>
 
@@ -80,6 +80,6 @@
     <para role="required">
       <xref linkend="gtk3"/>,
-      <xref linkend="libnma"/>,
-      <xref linkend="libnotify"/>, and
+      <xref linkend="libnma"/>, and
+      <!--<xref linkend="libnotify"/>, and-->
       <xref linkend="libsecret"/>
     </para>
Index: packages.ent
===================================================================
--- packages.ent	(revision eb07735db793496b46b7713213aa658b9139212b)
+++ packages.ent	(revision 3947fa9bece710140cc9aa2b85ab36a7f46b60da)
@@ -237,5 +237,5 @@
 <!ENTITY gtk-doc-major                "1.33">
 <!ENTITY gtk-doc-version              "1.33.2">
-<!ENTITY highlight-version            "4.3">
+<!ENTITY highlight-version            "4.4">
 <!ENTITY ibus-version                 "1.5.27">
 <!ENTITY imagemagick-version          "7.1.0">
@@ -289,5 +289,5 @@
 <!ENTITY systemd-version              "252">
 <!ENTITY udisks2-version              "2.9.4">    <!-- stable lt .90 micro version -->
-<!ENTITY unrar-version                "6.2.1">
+<!ENTITY unrar-version                "6.2.2">
 <!ENTITY unzip-version                "6.0">
 <!ENTITY upower-version               "1.90.0">
@@ -556,5 +556,5 @@
 <!ENTITY NetworkManager-minor         "1.40">
 <!ENTITY NetworkManager-version       "&NetworkManager-minor;.2">
-<!ENTITY network-manager-applet-minor "1.28">
+<!ENTITY network-manager-applet-minor "1.30">
 <!ENTITY network-manager-applet-version "&network-manager-applet-minor;.0">
 <!ENTITY nmap-version                 "7.93">
@@ -575,5 +575,5 @@
 <!ENTITY libnl-version                "3.7.0">
 <!ENTITY libnl-dl-version             "3_7_0">
-<!ENTITY libnma-version               "1.10.2">
+<!ENTITY libnma-version               "1.10.4">
 <!ENTITY libnsl-version               "2.0.0">
 <!ENTITY libpcap-version              "1.10.1">