Index: general.ent
===================================================================
--- general.ent	(revision 418f33754da2870015bcf6b482564ba1e969d974)
+++ general.ent	(revision 3961b7e9671fbdbbe3c021232345c0238b641a3d)
@@ -500,5 +500,5 @@
 <!ENTITY libao-version                "0.8.6">
 <!ENTITY libogg-version               "1.1.3">
-<!ENTITY libvorbis-version            "1.1.1">
+<!ENTITY libvorbis-version            "1.1.2">
 <!ENTITY nas-version                  "1.7">
 <!ENTITY libmpeg3-version             "1.5.4">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 418f33754da2870015bcf6b482564ba1e969d974)
+++ introduction/welcome/changelog.xml	(revision 3961b7e9671fbdbbe3c021232345c0238b641a3d)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[randy] - Updated to libvorbis-1.1.2.</para>
+        </listitem>
+        <listitem>
           <para>[randy] - Updated to libogg-1.1.3.</para>
         </listitem>
Index: multimedia/libdriv/libvorbis.xml
===================================================================
--- multimedia/libdriv/libvorbis.xml	(revision 418f33754da2870015bcf6b482564ba1e969d974)
+++ multimedia/libdriv/libvorbis.xml	(revision 3961b7e9671fbdbbe3c021232345c0238b641a3d)
@@ -6,8 +6,8 @@
 
   <!ENTITY libvorbis-download-http "http://downloads.xiph.org/releases/vorbis/libvorbis-&libvorbis-version;.tar.gz">
-  <!ENTITY libvorbis-download-ftp  "ftp://ftp.fu-berlin.de/unix/linux/mirrors/gentoo/distfiles/libvorbis-&libvorbis-version;.tar.gz">
-  <!ENTITY libvorbis-md5sum        "b77270c24840af4de54bea5ad1c0b252">
+  <!ENTITY libvorbis-download-ftp  " ">
+  <!ENTITY libvorbis-md5sum        "37847626b8e1b53ae79a34714c7b3211">
   <!ENTITY libvorbis-size          "1.3 MB">
-  <!ENTITY libvorbis-buildsize     "17.1 MB">
+  <!ENTITY libvorbis-buildsize     "17.7 MB">
   <!ENTITY libvorbis-time          "0.2 SBU">
 ]>
@@ -35,6 +35,7 @@
 
     <para>The <application>libvorbis</application> package contains a general
-    purpose audio and music encoding format. This is useful for creating (encoding)
-    and playing (decoding) sound in an open (patent free) format.</para>
+    purpose audio and music encoding format. This is useful for creating
+    (encoding) and playing (decoding) sound in an open (patent free)
+    format.</para>
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -60,12 +61,4 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Required patch: <ulink
-        url="&patch-root;/libvorbis-&libvorbis-version;-gcc4-1.patch"/></para>
-      </listitem>
-    </itemizedlist>
-
     <bridgehead renderas="sect3">libvorbis Dependencies</bridgehead>
 
@@ -87,11 +80,10 @@
     commands:</para>
 
-<screen><userinput>patch -Np1 -i ../libvorbis-&libvorbis-version;-gcc4-1.patch &amp;&amp;
-./configure --prefix=/usr &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
     <para><application>libvorbis</application> is known to cause compiler errors
     on certain machines. If you get errors, insert this command after running
-    the configure script:</para>
+    the <command>configure</command> script:</para>
 
 <screen><userinput>sed -i.bak -e 's/-mno-ieee-fp//' lib/Makefile</userinput></screen>
@@ -101,5 +93,6 @@
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>make install &amp;&amp;
+install -v -m644 doc/Vorbis* /usr/share/doc/libvorbis-&libvorbis-version;</userinput></screen>
 
   </sect2>
@@ -137,5 +130,6 @@
         <term><filename class='libraryfile'>libvorbis*.[so,a]</filename></term>
         <listitem>
-          <para>libraries provide the functions to read and write sound files.</para>
+          <para>libraries provide the functions to read and write sound
+          files.</para>
           <indexterm zone="libvorbis libvorbis-lib">
             <primary sortas="c-libvorbis">libvorbis*.[so,a]</primary>