Index: content/databases/mysql/mysql-config.xml
===================================================================
--- content/databases/mysql/mysql-config.xml	(revision ca2217b433eb5780e79b15b61ad7c49e13c157dc)
+++ content/databases/mysql/mysql-config.xml	(revision 03973ca63f46e11667f4012d7d69411ed73a4bcb)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring mysql</title>
+<title>Configuring MySQL</title>
 
 <sect3>
@@ -13,23 +13,25 @@
 
 <para>There are several default configurations file available in
-<filename>/usr/share/mysql</filename> which you can use.</para>
+<filename class="directory">/usr/share/mysql</filename> which you can use.</para>
 
-<screen><userinput>cp /usr/share/mysql/my-medium.cnf /etc/my.cnf</userinput></screen>
+<screen><userinput><command>cp /usr/share/mysql/my-medium.cnf /etc/my.cnf</command>
+</userinput></screen>
 
 <para>We can now install a database and change the ownership to the
 unpriviledged user and group.</para>
 
-<screen><userinput>mysql_install_db
-chown -R mysql:mysql /var/lib/mysql</userinput></screen>
+<screen><userinput><command>mysql_install_db
+chown -R mysql:mysql /var/lib/mysql</command></userinput></screen>
 
 <para>Further configuration requires that the mysql server be running:</para>
 
-<screen><userinput>safe_mysqld 2&gt;&amp;1 &gt;/dev/null &amp;</userinput></screen>
+<screen><userinput><command>mysqld_safe --user=mysql 2&gt;&amp;1 &gt;/dev/null &amp;</command>
+</userinput></screen>
 
 <para>A default installation, does not setup a password for the administrator.
-So here we will login and set one.  We strongly suggest changing
+So here we will login and set one. We strongly suggest changing
 'new-password' to your own.</para>
 
-<screen><userinput>mysql -uroot mysql</userinput>
+<screen><userinput><command>mysql -uroot mysql
 Welcome to the MySQL monitor.  Commands end with ; or \g.
 Your MySQL connection id is 2 to server version: 3.23.51-log
@@ -37,28 +39,28 @@
 Type 'help;' or '\h' for help. Type '\c' to clear the buffer.
 
-mysql&gt; <userinput>UPDATE user SET password=password('new-password') WHERE user='root';</userinput>
+mysql&gt; UPDATE user SET password=password('new-password') WHERE user='root';
 Query OK, 2 rows affected (0.00 sec)
 Rows matched: 2  Changed: 2  Warnings: 0
 
-mysql&gt; <userinput>FLUSH PRIVILEGES;</userinput>
+mysql&gt; FLUSH PRIVILEGES;
 Query OK, 0 rows affected (0.00 sec)
 
-mysql&gt; <userinput>EXIT;</userinput>
+mysql&gt; EXIT;
 bye
-</screen>
+</command></userinput></screen>
 
 <para>Now that we are done with the configuration of the server, we can
 shut it down.</para>
 
-<screen><userinput>kill `pidof -x safe_mysqld mysqld`</userinput></screen>
+<screen><userinput><command>kill `pidof -x mysqld_safe mysqld`</command></userinput></screen>
 
 
 <sect4>
-<title>mysql init.d script</title>
+<title>MySQL init.d script</title>
 
-<para>To automate the running of mysql, use the following command to create
+<para>To automate the running of MySQL, use the following command to create
 the init.d script:</para>
 
-<screen><userinput>cat &gt; /etc/rc.d/init.d/mysql &lt;&lt; "EOF"</userinput>
+<screen><userinput><command>cat &gt; /etc/rc.d/init.d/mysql &lt;&lt; "EOF"
 #!/bin/bash
 # Begin $rc_base/init.d/
@@ -73,5 +75,5 @@
         start)
                 echo "Starting MySQL daemon..."
-                /usr/bin/safe_mysqld 2&gt;&amp;1 &gt;/dev/null &amp;
+                /usr/bin/mysqld_safe --user=mysql 2&gt;&amp;1 &gt;/dev/null &amp;
                 evaluate_retval
                 ;;
@@ -99,12 +101,12 @@
 
 # End $rc_base/init.d/
-<userinput>EOF
-chmod 755 /etc/rc.d/init.d/mysql</userinput></screen>
+EOF
+chmod 755 /etc/rc.d/init.d/mysql</command></userinput></screen>
 
 <para>Create the symbolic links to this file in the relevant
-<filename>rc.d</filename> directory
+<filename class="directory">rc.d</filename> directory
 with the following commands:</para>
 
-<screen><userinput>cd /etc/rc.d/init.d &amp;&amp;
+<screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
 ln -sf ../init.d/mysql ../rc0.d/K26mysql &amp;&amp;
 ln -sf ../init.d/mysql ../rc1.d/K26mysql &amp;&amp;
@@ -113,5 +115,5 @@
 ln -sf ../init.d/mysql ../rc4.d/S34mysql &amp;&amp;
 ln -sf ../init.d/mysql ../rc5.d/S34mysql &amp;&amp;
-ln -sf ../init.d/mysql ../rc6.d/K26mysql</userinput></screen>
+ln -sf ../init.d/mysql ../rc6.d/K26mysql</command></userinput></screen>
 
 </sect4>
@@ -120,3 +122,2 @@
 
 </sect2>
-