Index: general.ent
===================================================================
--- general.ent	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ general.ent	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "17">                   <!-- Always 2 digits -->
+<!ENTITY day          "19">                   <!-- Always 2 digits -->
 <!ENTITY month        "05">                   <!-- Always 2 digits -->
 <!ENTITY year         "2013">
@@ -10,5 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "May 17th, &year;">
+<!ENTITY releasedate  "May 19th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -153,5 +153,5 @@
 <!ENTITY gnupg2-version               "2.0.20">
 <!ENTITY gnutls-version               "3.1.11">
-<!ENTITY gpgme-version                "1.4.0">
+<!ENTITY gpgme-version                "1.4.1">
 <!ENTITY iptables-version             "1.4.18">
 <!ENTITY libcap2-version              "2.22">
@@ -166,6 +166,6 @@
 <!ENTITY openssh-version              "6.2p1">
 <!ENTITY openssl-version              "1.0.1e">
-<!ENTITY p11-kit-version              "0.18.1">
-<!ENTITY polkit-version               "0.110">
+<!ENTITY p11-kit-version              "0.18.2">
+<!ENTITY polkit-version               "0.111">
 <!ENTITY shadow-version               "4.1.5.1">
 <!ENTITY stunnel-version              "4.54">
@@ -228,5 +228,5 @@
 <!ENTITY icu-dl-version               "&icu-major;_&icu-minor;"><!-- _&icu-patch;-->
 
-<!ENTITY iso-codes-version            "3.40">
+<!ENTITY iso-codes-version            "3.42">
 <!ENTITY json-c-version               "0.11">
 <!ENTITY json-glib-version            "0.16.0">
@@ -248,5 +248,5 @@
 <!ENTITY libical-version              "1.0">
 <!ENTITY libidl-version               "0.8.14">
-<!ENTITY libidn-version               "1.25">
+<!ENTITY libidn-version               "1.26">
 <!ENTITY libksba-version              "1.3.0">
 <!ENTITY libsigc-version              "2.2.11">
@@ -261,5 +261,5 @@
 <!ENTITY mtdev-version                "1.1.3">
 <!ENTITY nspr-version                 "4.9.6">
-<!ENTITY openobex-version             "1.6">
+<!ENTITY openobex-version             "1.7">
 <!ENTITY pcre-version                 "8.32">
 <!ENTITY popt-version                 "1.16">
@@ -302,6 +302,6 @@
 <!ENTITY openjpeg-version             "1.5.1">
 <!ENTITY pixman-version               "0.30.0">
-<!ENTITY poppler-version              "0.22.3">
-<!ENTITY qpdf-version                 "4.0.1">
+<!ENTITY poppler-version              "0.22.4">
+<!ENTITY qpdf-version                 "4.1.0">
 
 <!-- Chapter 11 -->
@@ -318,5 +318,5 @@
 <!ENTITY intltool-version             "0.50.2">
 <!ENTITY libiodbc-version             "3.52.8">
-<!ENTITY pinentry-version             "0.8.2">
+<!ENTITY pinentry-version             "0.8.3">
 <!ENTITY rarian-version               "0.8.1">
 <!ENTITY recode-version               "3.6">
@@ -473,5 +473,5 @@
 <!ENTITY libevent-version             "2.0.21">
 <!ENTITY libnice-version              "0.1.3">
-<!ENTITY libnl-version                "3.2.21">
+<!ENTITY libnl-version                "3.2.22">
 <!ENTITY libpcap-version              "1.4.0">
 <!ENTITY libproxy-version             "0.4.7">
@@ -760,5 +760,5 @@
 
 <!-- Xfce apps -->
-<!ENTITY midori-version               "0.5.1">
+<!ENTITY midori-version               "0.5.2">
 <!ENTITY parole-version               "0.5.0">
 <!ENTITY gtksourceview2-version       "2.10.5">
@@ -885,7 +885,7 @@
 <!ENTITY dvd-rw-tools-version         "7.1">
 <!ENTITY k3b-version                  "2.0.2">
-<!ENTITY libburn-version              "1.2.8">
-<!ENTITY libisoburn-version           "1.2.8">
-<!ENTITY libisofs-version             "1.2.8">
+<!ENTITY libburn-version              "1.3.0">
+<!ENTITY libisoburn-version           "1.3.0">
+<!ENTITY libisofs-version             "1.3.0">
 
 <!-- Part XII -->
Index: general/genlib/iso-codes.xml
===================================================================
--- general/genlib/iso-codes.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ general/genlib/iso-codes.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -7,6 +7,6 @@
   <!ENTITY iso-codes-download-http "http://pkg-isocodes.alioth.debian.org/downloads/iso-codes-&iso-codes-version;.tar.xz">
   <!ENTITY iso-codes-download-ftp  " ">
-  <!ENTITY iso-codes-md5sum        "7ad31f8488a6cc26a142b9bf5e4eea2c">
-  <!ENTITY iso-codes-size          "3.5 MB">
+  <!ENTITY iso-codes-md5sum        "35c6089108410dcfe03b420b57af0dde">
+  <!ENTITY iso-codes-size          "3.6 MB">
   <!ENTITY iso-codes-buildsize     "110 MB">
   <!ENTITY iso-codes-time          "0.2 SBU">
Index: general/genlib/libidn.xml
===================================================================
--- general/genlib/libidn.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ general/genlib/libidn.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -7,11 +7,11 @@
   <!ENTITY libidn-download-http "http://ftp.gnu.org/gnu/libidn/libidn-&libidn-version;.tar.gz">
   <!ENTITY libidn-download-ftp  "ftp://ftp.gnu.org/gnu/libidn/libidn-&libidn-version;.tar.gz">
-  <!ENTITY libidn-md5sum        "45ffabce4b8ca87fe98fe4542668d33d">
-  <!ENTITY libidn-size          "3.2 MB">
+  <!ENTITY libidn-md5sum        "7533d14fbbb6c026a1a9eaa2179ccb69">
+  <!ENTITY libidn-size          "3.3 MB">
   <!ENTITY libidn-buildsize     "24 MB">
   <!ENTITY libidn-time          "0.3 SBU">
 ]>
 
-<sect1 id="libidn" xreflabel="Libidn-&libidn-version;">
+<sect1 id="libidn" xreflabel="libidn-&libidn-version;">
   <?dbhtml filename="libidn.html"?>
 
@@ -21,5 +21,5 @@
   </sect1info>
 
-  <title>Libidn-&libidn-version;</title>
+  <title>libidn-&libidn-version;</title>
 
   <indexterm zone="libidn">
@@ -28,8 +28,8 @@
 
   <sect2 role="package">
-    <title>Introduction to Libidn</title>
-
-    <para>
-      <application>Libidn</application> is a package designed for
+    <title>Introduction to libidn</title>
+
+    <para>
+      <application>libidn</application> is a package designed for
       internationalized string handling based on the
       <ulink url="http://www.ietf.org/rfc/rfc3454.txt">Stringprep</ulink>,
@@ -51,24 +51,36 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&libidn-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&libidn-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &libidn-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &libidn-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &libidn-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &libidn-time;</para>
+        <para>
+          Download (HTTP): <ulink url="&libidn-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libidn-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libidn-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libidn-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libidn-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libidn-time;
+        </para>
       </listitem>
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Libidn Dependencies</bridgehead>
+    <bridgehead renderas="sect3">libidn Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
@@ -84,13 +96,13 @@
 
     <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/libidn"/></para>
-
+      <ulink url="&blfs-wiki;/libidn"/>
+    </para>
   </sect2>
 
   <sect2 role="installation">
-    <title>Installation of Libidn</title>
-
-    <para>
-      Install <application>Libidn</application> by running the following
+    <title>Installation of libidn</title>
+
+    <para>
+      Install <application>libidn</application> by running the following
       commands:
     </para>
Index: general/genlib/openobex.xml
===================================================================
--- general/genlib/openobex.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ general/genlib/openobex.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -7,6 +7,6 @@
   <!ENTITY openobex-download-http "&sourceforge-repo;/openobex/openobex-&openobex-version;-Source.tar.gz">
   <!ENTITY openobex-download-ftp  " ">
-  <!ENTITY openobex-md5sum        "485734c0e5a6c4a7bd697a0989b67a56">
-  <!ENTITY openobex-size          "696 KB">
+  <!ENTITY openobex-md5sum        "11031f6f0b876bb6259bd27106491528">
+  <!ENTITY openobex-size          "128 KB">
   <!ENTITY openobex-buildsize     "5.0 MB">
   <!ENTITY openobex-time          "0.1 SBU">
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -76,10 +76,14 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="bluez"/> and
-      <xref linkend="libusb-compat"/>
+      <xref linkend="bluez"/>,
+      <xref linkend="cmake"/> and
+      <xref linkend="libusb"/>
     </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="doxygen"/>,
+      <xref linkend="libxslt"/>,
+      <xref linkend="openjdk"/> and
       <xref linkend="xmlto"/>
     </para>
@@ -98,5 +102,11 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+<screen><userinput>mkdir build &amp;&amp;
+cd build &amp;&amp;
+cmake -DCMAKE_INSTALL_PREFIX=/usr \
+      -DCMAKE_INSTALL_LIBDIR=lib  \
+      -DCMAKE_BUILD_TYPE=Release  \
+      -DCMAKE_INSTALL_CMAKEBASEDIR=/usr/lib/cmake \
+      .. &amp;&amp;
 make</userinput></screen>
 
@@ -115,6 +125,8 @@
     <title>Command Explanations</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
+    <para>
+      <parameter>-DCMAKE_BUILD_TYPE=Release</parameter>: This switch is used
+      to apply higher level of the compiler optimizations.
+    </para>
 
   </sect2>
Index: general/genutils/pinentry.xml
===================================================================
--- general/genutils/pinentry.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ general/genutils/pinentry.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -7,8 +7,8 @@
   <!ENTITY pinentry-download-http " ">
   <!ENTITY pinentry-download-ftp  "ftp://ftp.gnupg.org/gcrypt/pinentry/pinentry-&pinentry-version;.tar.bz2">
-  <!ENTITY pinentry-md5sum        "82e6114e5e27a8ab36f314b332a6e024">
+  <!ENTITY pinentry-md5sum        "2ae681cbca0d9fb774b2c90b11ebf56c">
   <!ENTITY pinentry-size          "424 KB">
-  <!ENTITY pinentry-buildsize     "4.7 MB">
-  <!ENTITY pinentry-time          "less than 0.1 SBU">
+  <!ENTITY pinentry-buildsize     "12 MB">
+  <!ENTITY pinentry-time          "0.2 SBU">
 ]>
 
@@ -27,5 +27,4 @@
   </indexterm>
 
-  <!--Required section-->
   <sect2 role="package">
     <title>Introduction to PIN-Entry</title>
@@ -40,8 +39,8 @@
     environments, including interfaces designed for
     <application>Ncurses</application> (text-based),
-    <application>Gtk+</application>, <application>Gtk+-2</application>,
-    <application>Qt-3</application>, and <application>Qt-4</application>.</para>
-
-    &lfs72_checked;
+    <application>GTK+</application>, <application>GTK+2</application>,
+    <application>Qt3</application>, and <application>Qt4</application>.</para>
+
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -67,19 +66,12 @@
     </itemizedlist>
 
-    <!-- <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Required patch: <ulink
-        url="&patch-root;/pinentry-&pinentry-version;-fixes-1.patch"/></para>
-      </listitem>
-    </itemizedlist> -->
-
     <bridgehead renderas="sect3">PIN-Entry Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><!-- <xref linkend="GTK"/>, -->
-    <xref linkend="gtk2"/>,
-    <xref linkend="qt"/>, and
-    <xref linkend="libcap2"/></para>
+    <para role="optional">
+      <xref linkend="gtk2"/>,
+      <xref linkend="libcap2"/> and
+      <xref linkend="qt"/>
+    </para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -126,14 +118,4 @@
 
   </sect2>
-
-  <!-- <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para><parameter>-disable-...</parameter>: These three parameters are used
-    to fix a problem with the <command>configure</command> script if the
-    optional dependencies are not installed. If the dependencies are installed,
-    these parameters may be omitted.</para>
-
-  </sect2> -->
 
   <sect2 role="content">
@@ -183,5 +165,5 @@
         <term><command>pinentry-gtk</command></term>
         <listitem>
-          <para> is a <application>Gtk</application> GUI
+          <para> is a <application>GTK+</application> GUI
           <application>PIN-Entry</application> program.</para>
           <indexterm zone="pinentry pinentry-gtk">
@@ -194,5 +176,5 @@
         <term><command>pinentry-gtk-2</command></term>
         <listitem>
-          <para> is a <application>Gtk-2</application> GUI
+          <para> is a <application>GTK+2</application> GUI
           <application>PIN-Entry</application> program.</para>
           <indexterm zone="pinentry pinentry-gtk-2">
@@ -205,5 +187,5 @@
         <term><command>pinentry-qt</command></term>
         <listitem>
-          <para> is a <application>Qt-3</application> GUI
+          <para> is a <application>Qt3</application> GUI
           <application>PIN-Entry</application> program.</para>
           <indexterm zone="pinentry pinentry-qt">
@@ -216,5 +198,5 @@
         <term><command>pinentry-qt4</command></term>
         <listitem>
-          <para> is a <application>Qt-4</application> GUI
+          <para> is a <application>Qt4</application> GUI
           <application>PIN-Entry</application> program.</para>
           <indexterm zone="pinentry pinentry-qt4">
Index: general/graphlib/poppler.xml
===================================================================
--- general/graphlib/poppler.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ general/graphlib/poppler.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -8,5 +8,5 @@
            "http://poppler.freedesktop.org/poppler-&poppler-version;.tar.gz">
   <!ENTITY poppler-download-ftp       " ">
-  <!ENTITY poppler-md5sum             "be915388eaad6865cee5a156c8119ec1">
+  <!ENTITY poppler-md5sum             "49d55921ce795778c7231fe9f2fe923b">
   <!ENTITY poppler-size               "2.2 MB">
   <!ENTITY poppler-buildsize          "135 MB (excluding the encoding data) and
Index: general/graphlib/qpdf.xml
===================================================================
--- general/graphlib/qpdf.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ general/graphlib/qpdf.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -7,7 +7,7 @@
   <!ENTITY qpdf-download-http "&sourceforge-repo;/qpdf/qpdf-&qpdf-version;.tar.gz">
   <!ENTITY qpdf-download-ftp  " ">
-  <!ENTITY qpdf-md5sum        "093baece867a0a7e07774bd4008156b3">
+  <!ENTITY qpdf-md5sum        "eedd61acc53744446d181429651a9baf">
   <!ENTITY qpdf-size          "4.9 MB">
-  <!ENTITY qpdf-buildsize     "75 MB">
+  <!ENTITY qpdf-buildsize     "80 MB">
   <!ENTITY qpdf-time          "0.6 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ introduction/welcome/changelog.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -45,4 +45,52 @@
 -->
     <listitem>
+      <para>May 19th, 2013</para>
+      <itemizedlist>
+        <listitem>
+          <para>[krejzi] - GPGME 1.4.1.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - ISO Codes 3.42.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - libburn 1.3.0.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - libidn 1.26.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - libisoburn 1.3.0.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - libisofs 1.3.0.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - libnl 3.2.22.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Midori 0.5.2.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - OpenOBEX 1.7.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - p11-kit 0.18.2.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Pinentry 0.8.3.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Polkit 0.111.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Poppler 0.22.4.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Qpdf 4.1.0.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>May 17th, 2013</para>
       <itemizedlist>
Index: multimedia/cdwriteutils/libburn.xml
===================================================================
--- multimedia/cdwriteutils/libburn.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ multimedia/cdwriteutils/libburn.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -8,5 +8,5 @@
            "http://files.libburnia-project.org/releases/libburn-&libburn-version;.tar.gz">
   <!ENTITY libburn-download-ftp  " ">
-  <!ENTITY libburn-md5sum        "2838ff6fdd32e69394305f97f806002b">
+  <!ENTITY libburn-md5sum        "c06bfec410ef461a994b9a75b2620561">
   <!ENTITY libburn-size          "908 KB">
   <!ENTITY libburn-buildsize     "17 MB">
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/cdwriteutils/libisoburn.xml
===================================================================
--- multimedia/cdwriteutils/libisoburn.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ multimedia/cdwriteutils/libisoburn.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -8,8 +8,8 @@
            "http://files.libburnia-project.org/releases/libisoburn-&libisoburn-version;.tar.gz">
   <!ENTITY libisoburn-download-ftp  " ">
-  <!ENTITY libisoburn-md5sum        "1f02aa98d56c4b3e568e641a91640ecc">
+  <!ENTITY libisoburn-md5sum        "1341e87e385cb559ee1cd2605e372dec">
   <!ENTITY libisoburn-size          "1.4 MB">
-  <!ENTITY libisoburn-buildsize     "21 MB">
-  <!ENTITY libisoburn-time          "0.4 SBU">
+  <!ENTITY libisoburn-buildsize     "20 MB">
+  <!ENTITY libisoburn-time          "0.2 SBU">
 ]>
 
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/cdwriteutils/libisofs.xml
===================================================================
--- multimedia/cdwriteutils/libisofs.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ multimedia/cdwriteutils/libisofs.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -8,6 +8,6 @@
            "http://files.libburnia-project.org/releases/libisofs-&libisofs-version;.tar.gz">
   <!ENTITY libisofs-download-ftp  " ">
-  <!ENTITY libisofs-md5sum        "9d3515929b80a08daa6423b8312be8c1">
-  <!ENTITY libisofs-size          "748 KB">
+  <!ENTITY libisofs-md5sum        "5ab9f4a57d3c815d1183cbf49ce86a9e">
+  <!ENTITY libisofs-size          "752 KB">
   <!ENTITY libisofs-buildsize     "12 MB">
   <!ENTITY libisofs-time          "0.4 SBU">
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/libnl.xml
===================================================================
--- networking/netlibs/libnl.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ networking/netlibs/libnl.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -7,6 +7,6 @@
   <!ENTITY libnl-download-http "http://www.infradead.org/~tgr/libnl/files/libnl-&libnl-version;.tar.gz">
   <!ENTITY libnl-download-ftp  " ">
-  <!ENTITY libnl-md5sum        "6fe7136558a9071e70673dcda38545b3">
-  <!ENTITY libnl-size          "700 KB">
+  <!ENTITY libnl-md5sum        "2e1c889494d274aca24ce5f6a748e66e">
+  <!ENTITY libnl-size          "716 KB">
   <!ENTITY libnl-buildsize     "25 MB">
   <!ENTITY libnl-time          "0.3 SBU">
Index: postlfs/security/gpgme.xml
===================================================================
--- postlfs/security/gpgme.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ postlfs/security/gpgme.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -7,6 +7,6 @@
   <!ENTITY gpgme-download-http " ">
   <!ENTITY gpgme-download-ftp  "ftp://ftp.gnupg.org/gcrypt/gpgme/gpgme-&gpgme-version;.tar.bz2">
-  <!ENTITY gpgme-md5sum        "a0f93aba6d8a831ba14905085027f2f9">
-  <!ENTITY gpgme-size          "936 KB">
+  <!ENTITY gpgme-md5sum        "07f1c0eb6596a94efa3ffb75e74bfbba">
+  <!ENTITY gpgme-size          "940 KB">
   <!ENTITY gpgme-buildsize     "23 MB">
   <!ENTITY gpgme-time          "0.3 SBU">
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/p11-kit.xml
===================================================================
--- postlfs/security/p11-kit.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ postlfs/security/p11-kit.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -7,6 +7,6 @@
   <!ENTITY p11-kit-download-http "http://p11-glue.freedesktop.org/releases/p11-kit-&p11-kit-version;.tar.gz">
   <!ENTITY p11-kit-download-ftp  " ">
-  <!ENTITY p11-kit-md5sum        "e4ef21592dbd126b62e1a6d4ad65ce5c">
-  <!ENTITY p11-kit-size          "940 KB">
+  <!ENTITY p11-kit-md5sum        "7bb1703f38fb778054bf57477c78dc8f">
+  <!ENTITY p11-kit-size          "952 KB">
   <!ENTITY p11-kit-buildsize     "33 MB">
   <!ENTITY p11-kit-time          "0.2 SBU">
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/polkit.xml
===================================================================
--- postlfs/security/polkit.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ postlfs/security/polkit.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -8,5 +8,5 @@
            "http://www.freedesktop.org/software/polkit/releases/polkit-&polkit-version;.tar.gz">
   <!ENTITY polkit-download-ftp  " ">
-  <!ENTITY polkit-md5sum        "06e0d3b72e566ac277fc35c8206d2a28">
+  <!ENTITY polkit-md5sum        "81b116edf986d8e13502929a171f4e0d">
   <!ENTITY polkit-size          "1.4 MB">
   <!ENTITY polkit-buildsize     "17 MB">
Index: xfce/apps/midori.xml
===================================================================
--- xfce/apps/midori.xml	(revision deb836218535fc6859e8283bb102ce147d80232c)
+++ xfce/apps/midori.xml	(revision 4049d11098bf7861eb469da29f4b7285881398d9)
@@ -8,5 +8,5 @@
            "http://archive.xfce.org/src/apps/midori/0.5/midori-&midori-version;.tar.bz2">
   <!ENTITY midori-download-ftp  " ">
-  <!ENTITY midori-md5sum        "be022fbe9e47d6f50bddffa768468828">
+  <!ENTITY midori-md5sum        "e2c1e0b617397ec9f9eef4fdb47b3565">
   <!ENTITY midori-size          "1.1 MB">
   <!ENTITY midori-buildsize     "50 MB (9 MB installed)">