Index: general.ent
===================================================================
--- general.ent	(revision c40a9d06394cb383cfafab1da3255c2aa0eedb67)
+++ general.ent	(revision 4096f25c9c839e47949a0dc3abf7f0e850858b7d)
@@ -1,3 +1,3 @@
-<!ENTITY day          "16">
+<!ENTITY day          "17">
 <!ENTITY month        "08">
 <!ENTITY year         "2005">
@@ -141,5 +141,5 @@
 <!ENTITY expect-version               "5.43.0">
 <!ENTITY gcc-version                  "3.4.3">
-<!ENTITY gcc3-version                 "3.3.4">
+<!ENTITY gcc3-version                 "3.3.6">
 <!ENTITY guile-version                "1.6.7">
 <!ENTITY jdk-bin-version              "1.5.0_04">
Index: general/prog/gcc3.xml
===================================================================
--- general/prog/gcc3.xml	(revision c40a9d06394cb383cfafab1da3255c2aa0eedb67)
+++ general/prog/gcc3.xml	(revision 4096f25c9c839e47949a0dc3abf7f0e850858b7d)
@@ -7,8 +7,8 @@
   <!ENTITY gcc3-download-http "http://ftp.gnu.org/gnu/gcc/gcc-&gcc3-version;/gcc-&gcc3-version;.tar.bz2">
   <!ENTITY gcc3-download-ftp  "ftp://ftp.gnu.org/gnu/gcc/gcc-&gcc3-version;/gcc-&gcc3-version;.tar.bz2">
-  <!ENTITY gcc3-md5sum        "a1c267b34f05c8660b24251865614d8b">
-  <!ENTITY gcc3-size          "23 MB">
-  <!ENTITY gcc3-buildsize     "489 MB">
-  <!ENTITY gcc3-time          "5.72 SBU (additional 12.54 SBU to run the test suite)">
+  <!ENTITY gcc3-md5sum        "6936616a967da5a0b46f1e7424a06414">
+  <!ENTITY gcc3-size          "24 MB">
+  <!ENTITY gcc3-buildsize     "433 MB (includes running the test suite)">
+  <!ENTITY gcc3-time          "5.2 SBU (additional 11.2 SBU to run the test suite)">
 ]>
 
@@ -32,9 +32,8 @@
     <para>The reason for installing
     <application>GCC</application>-&gcc3-version; is that
-    some BLFS packages (such as compiled <application>Java</application>
-    and <application>OpenOffice</application>) have not been updated to be
-    compilable by <application>GCC</application>-&gcc-version;. Additionally,
+    some packages have not been updated to be compiled by
+    <application>GCC</application>-&gcc-version;. Additionally,
     some pre-compiled packages may require the
-    <application>GCC</application>-&gcc3-version; libraries.</para>
+    <application>GCC</application>-&gcc3-version; libraries at run-time.</para>
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -87,8 +86,6 @@
 mkdir ../gcc-build &amp;&amp;
 cd ../gcc-build &amp;&amp;
-../gcc-&gcc3-version;/configure \
-    --prefix=/opt/gcc-&gcc3-version; \
-    --enable-shared --enable-languages=c,c++ \
-    --enable-threads=posix &amp;&amp;
+../gcc-&gcc3-version;/configure --prefix=/opt/gcc-&gcc3-version; \
+    --enable-shared --enable-languages=c,c++ --enable-threads=posix &amp;&amp;
 make bootstrap</userinput></screen>
 
@@ -96,11 +93,9 @@
     <command>test_summary</command> commands create log files which can be
     compared to known good results located at <ulink
-    url="http://linuxfromscratch.org/~randy/gcc-334-lfs-6.0-test_summary.log"/>
-    and <ulink
-    url="http://linuxfromscratch.org/~randy/gcc-334-lfs-6.0-test_summary_short.log"/>.</para>
+    url="http://linuxfromscratch.org/~randy/gcc-336_LFS-6.1_test.txt"/>.</para>
 
 <screen><userinput>make -k check &amp;&amp;
-../gcc-3.3.4/contrib/test_summary >test_summary.log 2>&amp;1 &amp;&amp;
-../gcc-3.3.4/contrib/test_summary | \
+../gcc-&gcc3-version;/contrib/test_summary >test_summary.log 2>&amp;1 &amp;&amp;
+../gcc-&gcc3-version;/contrib/test_summary | \
     grep -A7 Summ >test_summary_short.log 2>&amp;1</userinput></screen>
 
@@ -109,6 +104,6 @@
 <screen role="root"><userinput>make install &amp;&amp;
 mv -v /opt/gcc-&gcc3-version;/lib/libstdc++.so.5* /usr/lib &amp;&amp;
-ln -v -sf /usr/lib/libstdc++.so.5.0.6 /opt/gcc-&gcc3-version;/lib &amp;&amp;
-ln -v -sf libstdc++.so.5.0.6 /opt/gcc-&gcc3-version;/lib/libstdc++.so.5 &amp;&amp;
+ln -v -sf /usr/lib/libstdc++.so.5.0.7 /opt/gcc-&gcc3-version;/lib &amp;&amp;
+ln -v -sf libstdc++.so.5.0.7 /opt/gcc-&gcc3-version;/lib/libstdc++.so.5 &amp;&amp;
 chown -v -R root:root \
     /opt/gcc-&gcc3-version;/lib/gcc-lib/i686-pc-linux-gnu/&gcc3-version;/include</userinput></screen>
@@ -126,9 +121,9 @@
     --enable-threads=posix</parameter>: Configures
     <application>GCC</application> to build the
-    <application>C</application> and <application>C++</application> compilers and
-    enable the related <application>C++</application> options.</para>
+    <application>C</application> and <application>C++</application> compilers
+    and enable the related <application>C++</application> options.</para>
 
     <para><command>mv -v /opt/gcc-&gcc3-version;/lib/libstdc++.so.5*
-    /usr/lib</command>: Moves the <application>C++</application> libraries to the
+    /usr/lib</command>: Moves the <application>C++</application> library to the
     standard lib directory to avoid having to add
     <userinput>/opt/gcc-&gcc3-version;/lib</userinput> to
@@ -145,5 +140,5 @@
       <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../../lib-config.xml"/>
 
-      <para>If you only need the GCC-&gcc3-version; libraries, you may delete
+      <para>If you only need the GCC-&gcc3-version; C++ library, you may delete
       <filename>/opt/gcc-&gcc3-version;</filename>.</para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c40a9d06394cb383cfafab1da3255c2aa0eedb67)
+++ introduction/welcome/changelog.xml	(revision 4096f25c9c839e47949a0dc3abf7f0e850858b7d)
@@ -24,4 +24,8 @@
 
   <itemizedlist>
+
+    <listitem>
+      <para>August 17th, 2005 [randy]: Updated to GCC-3.3.6.</para>
+    </listitem>
 
     <listitem>