Index: general/genlib/libatomic_ops.xml
===================================================================
--- general/genlib/libatomic_ops.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ general/genlib/libatomic_ops.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libcroco.xml
===================================================================
--- general/genlib/libcroco.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ general/genlib/libcroco.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libusb.xml
===================================================================
--- general/genlib/libusb.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ general/genlib/libusb.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/babl.xml
===================================================================
--- general/graphlib/babl.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ general/graphlib/babl.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/gegl.xml
===================================================================
--- general/graphlib/gegl.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ general/graphlib/gegl.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/poppler.xml
===================================================================
--- general/graphlib/poppler.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ general/graphlib/poppler.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -44,5 +44,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/qpdf.xml
===================================================================
--- general/graphlib/qpdf.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ general/graphlib/qpdf.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/gc.xml
===================================================================
--- general/prog/gc.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ general/prog/gc.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -44,5 +44,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/audacious.xml
===================================================================
--- multimedia/audioutils/audacious.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ multimedia/audioutils/audacious.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst-ffmpeg.xml
===================================================================
--- multimedia/libdriv/gst-ffmpeg.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ multimedia/libdriv/gst-ffmpeg.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gst-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst-plugins-bad.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ multimedia/libdriv/gst-plugins-bad.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gst-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst-plugins-base.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ multimedia/libdriv/gst-plugins-base.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -44,5 +44,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gst-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst-plugins-ugly.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ multimedia/libdriv/gst-plugins-ugly.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ multimedia/libdriv/gst10-libav.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gstreamer.xml
===================================================================
--- multimedia/libdriv/gstreamer.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ multimedia/libdriv/gstreamer.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     &gst-compat;
Index: multimedia/libdriv/xine-lib.xml
===================================================================
--- multimedia/libdriv/xine-lib.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ multimedia/libdriv/xine-lib.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/videoutils/vlc.xml
===================================================================
--- multimedia/videoutils/vlc.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ multimedia/videoutils/vlc.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/videoutils/xine-ui.xml
===================================================================
--- multimedia/videoutils/xine-ui.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ multimedia/videoutils/xine-ui.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/glib-networking.xml
===================================================================
--- networking/netlibs/glib-networking.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ networking/netlibs/glib-networking.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/neon.xml
===================================================================
--- networking/netlibs/neon.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ networking/netlibs/neon.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/ntfs-3g.xml
===================================================================
--- postlfs/filesystems/ntfs-3g.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ postlfs/filesystems/ntfs-3g.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/other/gimp.xml
===================================================================
--- xsoft/other/gimp.xml	(revision e0aef4eb5cd91c12778fcc873af489de62260dad)
+++ xsoft/other/gimp.xml	(revision 4116c85ecae63f85a67ffd31e82ef80009ea3cfe)
@@ -48,5 +48,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>