Index: general/genlib/libblockdev.xml
===================================================================
--- general/genlib/libblockdev.xml	(revision 91eeec76a2ec8414d4d3476ea4e2237990854994)
+++ general/genlib/libblockdev.xml	(revision 4163b5846b3b3b8a9fb7e70df4d4d47a1de70ddf)
@@ -8,7 +8,7 @@
     "https://github.com/storaged-project/libblockdev/releases/download/&libblockdev-version;-1/libblockdev-&libblockdev-version;.tar.gz">
   <!ENTITY libblockdev-download-ftp " ">
-  <!ENTITY libblockdev-md5sum        "26d2ebed3512decad4d7a4f86d5e59b4">
+  <!ENTITY libblockdev-md5sum        "f0572a52532e3016da9ff85bf941a9bd">
   <!ENTITY libblockdev-size          "836 KB">
-  <!ENTITY libblockdev-buildsize     "11 MB">
+  <!ENTITY libblockdev-buildsize     "13 MB">
   <!ENTITY libblockdev-time          "0.2 SBU">
 ]>
@@ -145,5 +145,5 @@
       <seglistitem>
         <seg>
-          None
+          lvm-cache-stats
         </seg>
         <seg>
@@ -160,5 +160,6 @@
           libbd_part_err.so,
           libbd_swap.so,
-          libbd_utils.so, and
+          libbd_utils.so,
+          libbd_vdo.so, and
           libblockdev.so
         </seg>
@@ -170,5 +171,5 @@
       </seglistitem>
     </segmentedlist>
-<!--
+
     <variablelist>
       <bridgehead renderas="sect3">Short Descriptions</bridgehead>
@@ -176,12 +177,12 @@
       <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="libblockdev.so">
-        <term><filename class="libraryfile">libblockdev.so</filename></term>
+      <varlistentry id="lvm-cache-stats">
+        <term><command>lvm-cache-stats</command></term>
         <listitem>
           <para>
-            provides ????? - see intro
+            prints statistics on caches on LVM Logical Volumes.
           </para>
-          <indexterm zone="libblockdev libblockdev.so">
-            <primary sortas="c-libblockdev.so">libblockdev.so</primary>
+          <indexterm zone="libblockdev lvm-cache-stats">
+            <primary sortas="b-lvm-cache-stats">lvm-cache-stats</primary>
           </indexterm>
         </listitem>
@@ -189,5 +190,5 @@
 
     </variablelist>
--->
+
   </sect2>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 91eeec76a2ec8414d4d3476ea4e2237990854994)
+++ introduction/welcome/changelog.xml	(revision 4163b5846b3b3b8a9fb7e70df4d4d47a1de70ddf)
@@ -45,4 +45,12 @@
       <para>June 27th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to btrfs-progs-5.1.1. Fixes
+          <ulink url="&blfs-ticket-root;12145">#12145</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libblockdev-2.22. Fixes
+          <ulink url="&blfs-ticket-root;12149">#12149</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[renodr] - Update to LVM2-2.03.05. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision 91eeec76a2ec8414d4d3476ea4e2237990854994)
+++ packages.ent	(revision 4163b5846b3b3b8a9fb7e70df4d4d47a1de70ddf)
@@ -47,5 +47,5 @@
 
 <!-- Chapter 5 -->
-<!ENTITY btrfs-progs-version          "5.1">
+<!ENTITY btrfs-progs-version          "5.1.1">
 <!ENTITY dosfstools-version           "4.1">
 <!ENTITY fuse3-version                "3.5.0">
@@ -127,5 +127,5 @@
 <!ENTITY libatasmart-version          "0.19">
 <!ENTITY libatomic_ops-version        "7.6.10">
-<!ENTITY libblockdev-version          "2.21">
+<!ENTITY libblockdev-version          "2.22">
 <!ENTITY libbytesize-version          "2.0">
 <!ENTITY libcroco-version             "0.6.13">
Index: postlfs/filesystems/btrfs-progs.xml
===================================================================
--- postlfs/filesystems/btrfs-progs.xml	(revision 91eeec76a2ec8414d4d3476ea4e2237990854994)
+++ postlfs/filesystems/btrfs-progs.xml	(revision 4163b5846b3b3b8a9fb7e70df4d4d47a1de70ddf)
@@ -7,8 +7,8 @@
   <!ENTITY btrfs-progs-download-http "&kernel-dl;/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v&btrfs-progs-version;.tar.xz">
   <!ENTITY btrfs-progs-download-ftp  " ">
-  <!ENTITY btrfs-progs-md5sum        "ccdba8ad14bbf97df666460576507bd9">
+  <!ENTITY btrfs-progs-md5sum        "7361746c27aece91fa79705a3964ff0c">
   <!ENTITY btrfs-progs-size          "1.9 MB">
-  <!ENTITY btrfs-progs-buildsize     "55 MB (add 85 MB for tests)">
-  <!ENTITY btrfs-progs-time          "0.2 SBU (add 14 SBU for tests)">
+  <!ENTITY btrfs-progs-buildsize     "82 MB (add 25 MB for tests)">
+  <!ENTITY btrfs-progs-time          "0.2 SBU (add 6.1 SBU for tests)">
 ]>
 
@@ -122,4 +122,5 @@
 
 mv tests/mkfs-tests/013-reserved-1M-for-single/test.sh{,.broken}            &amp;&amp;
+mv tests/convert-tests/001-ext2-basic/test.sh{,.broken}                     &amp;&amp;
 mv tests/convert-tests/010-reiserfs-basic/test.sh{,.broken}                 &amp;&amp;
 mv tests/convert-tests/011-reiserfs-delete-all-rollback/test.sh{,.broken}   &amp;&amp;
@@ -129,4 +130,5 @@
 mv tests/misc-tests/021-image-multi-devices/test.sh{,.broken}               &amp;&amp;
 mv tests/misc-tests/025-zstd-compression/test.sh{,.broken}                  &amp;&amp;
+mv tests/misc-tests/029-send-p-different-mountpoints/test.sh{,.broken}      &amp;&amp;
 mv tests/misc-tests/035-receive-common-mount-point-prefix/test.sh{,.broken} &amp;&amp;
 mv tests/fuzz-tests/003-multi-check-unmounted/test.sh{,.broken}             &amp;&amp;
@@ -226,5 +228,5 @@
         <listitem>
           <para>
-            converts from ext2/3/4 filesystem to btrfs.
+            converts from an ext2/3/4 filesystem to btrfs.
           </para>
           <indexterm zone="btrfs-progs btrfs-convert">
@@ -262,5 +264,5 @@
         <listitem>
           <para>
-            overwrites primary superblock with a backup copy.
+            overwrites the primary superblock with a backup copy.
           </para>
           <indexterm zone="btrfs-progs btrfs-select-super">