Index: gnome.ent
===================================================================
--- gnome.ent	(revision 6c929a8cd62123532253d0e9183161f339aca856)
+++ gnome.ent	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
@@ -72,22 +72,22 @@
 <!-- Chapter 31 -->
 <!-- Applications -->
-<!ENTITY baobab-version                    "3.32.0">
+<!ENTITY baobab-version                    "3.34.0">
 <!ENTITY brasero-version                   "3.12.2">
-<!ENTITY cheese-version                    "3.32.1">
-<!ENTITY eog-version                       "3.32.2">
+<!ENTITY cheese-version                    "3.34.0">
+<!ENTITY eog-version                       "3.34.0">
 <!ENTITY evince-version                    "3.32.0">
-<!ENTITY evolution-version                 "3.32.4">
-<!ENTITY file-roller-version               "3.32.1">
+<!ENTITY evolution-version                 "3.34.0">
+<!ENTITY file-roller-version               "3.32.2">
 <!-- gedit moved to Editors, so it's now in packages.ent -->
-<!ENTITY gnome-calculator-version          "3.32.2">
+<!ENTITY gnome-calculator-version          "3.34.0">
 <!ENTITY gnome-color-manager-version       "3.32.0">
-<!ENTITY gnome-disk-utility-version        "3.32.1">
+<!ENTITY gnome-disk-utility-version        "3.34.0">
 <!ENTITY gnome-logs-version                "3.34.0">
-<!ENTITY gnome-maps-version                "3.32.2.1">
+<!ENTITY gnome-maps-version                "3.34.0">
 <!ENTITY gnome-nettool-version             "3.8.1">
 <!ENTITY gnome-power-manager-version       "3.32.0">
 <!ENTITY gnome-screenshot-version          "3.32.0">
 <!ENTITY gnome-system-monitor-version      "3.32.1">
-<!ENTITY gnome-terminal-version            "3.32.2">
+<!ENTITY gnome-terminal-version            "3.34.0">
 <!ENTITY gnome-tweaks-version              "3.32.0">
 <!ENTITY gnome-weather-version             "3.32.2">
Index: gnome/applications/baobab.xml
===================================================================
--- gnome/applications/baobab.xml	(revision 6c929a8cd62123532253d0e9183161f339aca856)
+++ gnome/applications/baobab.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY baobab-download-http "&gnome-download-http;/baobab/&gnome-minor-32;/baobab-&baobab-version;.tar.xz">
-  <!ENTITY baobab-download-ftp  "&gnome-download-ftp;/baobab/&gnome-minor-32;/baobab-&baobab-version;.tar.xz">
-  <!ENTITY baobab-md5sum        "7b1b0b2eb672ecc0e5f4cced8c2ffa01">
-  <!ENTITY baobab-size          "444 KB">
-  <!ENTITY baobab-buildsize     "12 MB">
-  <!ENTITY baobab-time          "0.1 SBU">
+  <!ENTITY baobab-download-http "&gnome-download-http;/baobab/&gnome-minor-34;/baobab-&baobab-version;.tar.xz">
+  <!ENTITY baobab-download-ftp  "&gnome-download-ftp;/baobab/&gnome-minor-34;/baobab-&baobab-version;.tar.xz">
+  <!ENTITY baobab-md5sum        "9c150734fa6e2b61d91c336c2ed6a438">
+  <!ENTITY baobab-size          "448 KB">
+  <!ENTITY baobab-buildsize     "8.0 MB">
+  <!ENTITY baobab-time          "less than 0.1 SBU (Using parallelism=4)">
 ]>
 
Index: gnome/applications/cheese.xml
===================================================================
--- gnome/applications/cheese.xml	(revision 6c929a8cd62123532253d0e9183161f339aca856)
+++ gnome/applications/cheese.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY cheese-download-http "&gnome-download-http;/cheese/&gnome-minor-32;/cheese-&cheese-version;.tar.xz">
-  <!ENTITY cheese-download-ftp  "&gnome-download-ftp;/cheese/&gnome-minor-32;/cheese-&cheese-version;.tar.xz">
-  <!ENTITY cheese-md5sum        "3f8128c13c3ecf0580fc0069a1573480">
-  <!ENTITY cheese-size          "1.4 MB">
-  <!ENTITY cheese-buildsize     "26 MB">
-  <!ENTITY cheese-time          "0.3 SBU">
+  <!ENTITY cheese-download-http "&gnome-download-http;/cheese/&gnome-minor-34;/cheese-&cheese-version;.tar.xz">
+  <!ENTITY cheese-download-ftp  "&gnome-download-ftp;/cheese/&gnome-minor-34;/cheese-&cheese-version;.tar.xz">
+  <!ENTITY cheese-md5sum        "13f8326689df42b0aedda023705db803">
+  <!ENTITY cheese-size          "1.0 MB">
+  <!ENTITY cheese-buildsize     "14 MB">
+  <!ENTITY cheese-time          "0.1 SBU (Using paralleism=4)">
 ]>
 
@@ -70,5 +70,5 @@
       </listitem>
     </itemizedlist>
-
+<!--
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
@@ -80,5 +80,5 @@
       </listitem>
     </itemizedlist>
-
+-->
     <bridgehead renderas="sect3">Cheese Dependencies</bridgehead>
 
@@ -139,12 +139,19 @@
 
     <para>
+      First, fix a problem generating the man page:
+    </para>
+
+<screen><userinput>sed -i "s/&amp;version;/&cheese-version;/" docs/reference/cheese{,-docs}.xml</userinput></screen>
+
+    <para>
       Install <application>Cheese</application> by running the following
       commands:
     </para>
 
-<screen><userinput>patch -Np1 -i ../cheese-&cheese-version;-gst_debug_disabled-1.patch &amp;&amp;
-
-./configure --prefix=/usr &amp;&amp;
-make</userinput></screen>
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+meson --prefix=/usr -Dgtk_doc=false .. &amp;&amp;
+ninja</userinput></screen>
 
      <para>
@@ -156,5 +163,5 @@
     </para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>ninja install</userinput></screen>
 
   </sect2>
Index: gnome/applications/eog.xml
===================================================================
--- gnome/applications/eog.xml	(revision 6c929a8cd62123532253d0e9183161f339aca856)
+++ gnome/applications/eog.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY eog-download-http "&gnome-download-http;/eog/&gnome-minor-32;/eog-&eog-version;.tar.xz">
-  <!ENTITY eog-download-ftp  "&gnome-download-ftp;/eog/&gnome-minor-32;/eog-&eog-version;.tar.xz">
-  <!ENTITY eog-md5sum        "c1daf654c4caffd75434f888339dd00d">
-  <!ENTITY eog-size          "4.4 MB">
-  <!ENTITY eog-buildsize     "49 MB">
-  <!ENTITY eog-time          "0.4 SBU">
+  <!ENTITY eog-download-http "&gnome-download-http;/eog/&gnome-minor-34;/eog-&eog-version;.tar.xz">
+  <!ENTITY eog-download-ftp  "&gnome-download-ftp;/eog/&gnome-minor-34;/eog-&eog-version;.tar.xz">
+  <!ENTITY eog-md5sum        "9a2d6355b431ad809340685da21cb436">
+  <!ENTITY eog-size          "3.4 MB">
+  <!ENTITY eog-buildsize     "32 MB">
+  <!ENTITY eog-time          "0.2 SBU">
 ]>
 
Index: gnome/applications/evolution.xml
===================================================================
--- gnome/applications/evolution.xml	(revision 6c929a8cd62123532253d0e9183161f339aca856)
+++ gnome/applications/evolution.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY evolution-download-http "&gnome-download-http;/evolution/&gnome-minor-32;/evolution-&evolution-version;.tar.xz">
-  <!ENTITY evolution-download-ftp  "&gnome-download-ftp;/evolution/&gnome-minor-32;/evolution-&evolution-version;.tar.xz">
-  <!ENTITY evolution-md5sum        "cef13237672ab95b2222265b50ec3733">
+  <!ENTITY evolution-download-http "&gnome-download-http;/evolution/&gnome-minor-34;/evolution-&evolution-version;.tar.xz">
+  <!ENTITY evolution-download-ftp  "&gnome-download-ftp;/evolution/&gnome-minor-34;/evolution-&evolution-version;.tar.xz">
+  <!ENTITY evolution-md5sum        "cdfcf8def60668b77a256914976828f5">
   <!ENTITY evolution-size          "11 MB">
-  <!ENTITY evolution-buildsize     "251 MB">
+  <!ENTITY evolution-buildsize     "252 MB">
   <!ENTITY evolution-time          "1.1 SBU (Using parallelism=4)">
 ]>
@@ -100,4 +100,5 @@
       <xref linkend="enchant"/>,
       <xref linkend="gnome-desktop"/>,
+      <xref linkend="gspell"/>,
       <xref linkend="highlight"/>,
       <xref linkend="libcanberra"/>,
Index: gnome/applications/file-roller.xml
===================================================================
--- gnome/applications/file-roller.xml	(revision 6c929a8cd62123532253d0e9183161f339aca856)
+++ gnome/applications/file-roller.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
@@ -9,8 +9,8 @@
   <!ENTITY file-roller-download-ftp
            "&gnome-download-ftp;/file-roller/&gnome-minor-32;/file-roller-&file-roller-version;.tar.xz">
-  <!ENTITY file-roller-md5sum        "8f1dd58419d7119d965a30efdcecff1a">
+  <!ENTITY file-roller-md5sum        "e79715bb2400df83c0f67cc0cce2b655">
   <!ENTITY file-roller-size          "832 KB">
-  <!ENTITY file-roller-buildsize     "25 MB">
-  <!ENTITY file-roller-time          "0.2 SBU">
+  <!ENTITY file-roller-buildsize     "18 MB">
+  <!ENTITY file-roller-time          "0.1 SBU (Using parallelism=4)">
 ]>
 
Index: gnome/applications/gnome-calculator.xml
===================================================================
--- gnome/applications/gnome-calculator.xml	(revision 6c929a8cd62123532253d0e9183161f339aca856)
+++ gnome/applications/gnome-calculator.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-calculator-download-http
-           "&gnome-download-http;/gnome-calculator/&gnome-minor-32;/gnome-calculator-&gnome-calculator-version;.tar.xz">
+           "&gnome-download-http;/gnome-calculator/&gnome-minor-34;/gnome-calculator-&gnome-calculator-version;.tar.xz">
   <!ENTITY gnome-calculator-download-ftp
-           "&gnome-download-ftp;/gnome-calculator/&gnome-minor-32;/gnome-calculator-&gnome-calculator-version;.tar.xz">
-  <!ENTITY gnome-calculator-md5sum        "cb7434ac729cd214842c30303302dbaf">
-  <!ENTITY gnome-calculator-size          "928 KB">
-  <!ENTITY gnome-calculator-buildsize     "43 MB (with tests)">
+           "&gnome-download-ftp;/gnome-calculator/&gnome-minor-34;/gnome-calculator-&gnome-calculator-version;.tar.xz">
+  <!ENTITY gnome-calculator-md5sum        "29f90684411f191eab1344827cb9c7bd">
+  <!ENTITY gnome-calculator-size          "944 KB">
+  <!ENTITY gnome-calculator-buildsize     "40 MB (with tests)">
   <!ENTITY gnome-calculator-time          "0.2 SBU (with tests)">
 ]>
Index: gnome/applications/gnome-disk-utility.xml
===================================================================
--- gnome/applications/gnome-disk-utility.xml	(revision 6c929a8cd62123532253d0e9183161f339aca856)
+++ gnome/applications/gnome-disk-utility.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-disk-utility-download-http
-           "&gnome-download-http;/gnome-disk-utility/&gnome-minor-32;/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
+           "&gnome-download-http;/gnome-disk-utility/&gnome-minor-34;/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
   <!ENTITY gnome-disk-utility-download-ftp
-           "&gnome-download-ftp;/gnome-disk-utility/&gnome-minor-32;/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
-  <!ENTITY gnome-disk-utility-md5sum        "8fb5db416f6672e5aa04f8325688b6e3">
+           "&gnome-download-ftp;/gnome-disk-utility/&gnome-minor-34;/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
+  <!ENTITY gnome-disk-utility-md5sum        "1ffcccdec1c2ec8d74e369af6ed40af3">
   <!ENTITY gnome-disk-utility-size          "1.3 MB">
-  <!ENTITY gnome-disk-utility-buildsize     "36 MB">
-  <!ENTITY gnome-disk-utility-time          "0.2 SBU">
+  <!ENTITY gnome-disk-utility-buildsize     "28 MB">
+  <!ENTITY gnome-disk-utility-time          "less than 0.1 SBU (Using parallelism=4)">
 ]>
 
Index: gnome/applications/gnome-maps.xml
===================================================================
--- gnome/applications/gnome-maps.xml	(revision 6c929a8cd62123532253d0e9183161f339aca856)
+++ gnome/applications/gnome-maps.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-maps-download-http
-           "&gnome-download-http;/gnome-maps/&gnome-minor-32;/gnome-maps-&gnome-maps-version;.tar.xz">
+           "&gnome-download-http;/gnome-maps/&gnome-minor-34;/gnome-maps-&gnome-maps-version;.tar.xz">
   <!ENTITY gnome-maps-download-ftp
-           "&gnome-download-ftp;/gnome-maps/&gnome-minor-32;/gnome-maps-&gnome-maps-version;.tar.xz">
-  <!ENTITY gnome-maps-md5sum        "45f640d430161fad0f2b992128ef4982">
-  <!ENTITY gnome-maps-size          "3.9 MB">
-  <!ENTITY gnome-maps-buildsize     "15 MB">
+           "&gnome-download-ftp;/gnome-maps/&gnome-minor-34;/gnome-maps-&gnome-maps-version;.tar.xz">
+  <!ENTITY gnome-maps-md5sum        "977a145f36b15d08e2a52b1c1f32f750">
+  <!ENTITY gnome-maps-size          "3.8 MB">
+  <!ENTITY gnome-maps-buildsize     "12 MB">
   <!ENTITY gnome-maps-time          "less than 0.1 SBU">
 ]>
Index: gnome/applications/gnome-terminal.xml
===================================================================
--- gnome/applications/gnome-terminal.xml	(revision 6c929a8cd62123532253d0e9183161f339aca856)
+++ gnome/applications/gnome-terminal.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
@@ -6,9 +6,9 @@
 
   <!ENTITY gnome-terminal-download-http
-           "&gnome-download-http;/gnome-terminal/&gnome-minor-32;/gnome-terminal-&gnome-terminal-version;.tar.xz">
+           "&gnome-download-http;/gnome-terminal/&gnome-minor-34;/gnome-terminal-&gnome-terminal-version;.tar.xz">
   <!ENTITY gnome-terminal-download-ftp
-           "&gnome-download-ftp;/gnome-terminal/&gnome-minor-32;/gnome-terminal-&gnome-terminal-version;.tar.xz">
-  <!ENTITY gnome-terminal-md5sum        "6a7d7c958fcb2cbb36bec73cc7d78f32">
-  <!ENTITY gnome-terminal-size          "1.9 MB">
+           "&gnome-download-ftp;/gnome-terminal/&gnome-minor-34;/gnome-terminal-&gnome-terminal-version;.tar.xz">
+  <!ENTITY gnome-terminal-md5sum        "a13a7b0914c78145785c341115dca506">
+  <!ENTITY gnome-terminal-size          "2.0 MB">
   <!ENTITY gnome-terminal-buildsize     "37 MB">
   <!ENTITY gnome-terminal-time          "0.1 SBU (using parallelism=4)">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 6c929a8cd62123532253d0e9183161f339aca856)
+++ introduction/welcome/changelog.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
@@ -46,4 +46,44 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to gedit-3.34.0. Fixes
+          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnome-terminal-3.34.0. Partially fixes
+          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnome-maps-3.34.0. Partially fixes
+          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnome-disk-utility-3.34.0. Partially fixes
+          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnome-calculator-3.34.0. Partially fixes
+          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to file-roller-3.32.2. Partially fixes
+          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to evolution-3.34.0. Partially fixes
+          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to eog-3.34.0. Partially fixes
+          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to cheese-3.34.0. Partially fixes
+          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to baobab-3.34.0. Partially fixes
+          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[xry111] - Update to bluez-5.51. Fixes
           <ulink url="&blfs-ticket-root;12551">#12551</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 6c929a8cd62123532253d0e9183161f339aca856)
+++ packages.ent	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
@@ -62,5 +62,5 @@
 <!ENTITY ed-version                   "1.15">
 <!ENTITY emacs-version                "26.3">
-<!ENTITY gedit-version                "3.32.2">
+<!ENTITY gedit-version                "3.34.0">
 <!ENTITY joe-version                  "4.6">
 <!ENTITY juffed-version               "0.10.r71.gc3c1a3f">
Index: postlfs/editors/gedit.xml
===================================================================
--- postlfs/editors/gedit.xml	(revision 6c929a8cd62123532253d0e9183161f339aca856)
+++ postlfs/editors/gedit.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
@@ -5,7 +5,7 @@
   %general-entities;
 
-  <!ENTITY gedit-download-http "&gnome-download-http;/gedit/&gnome-minor-32;/gedit-&gedit-version;.tar.xz">
-  <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/&gnome-minor-32;/gedit-&gedit-version;.tar.xz">
-  <!ENTITY gedit-md5sum        "0949455cbcf233ae87279defd14c8a13">
+  <!ENTITY gedit-download-http "&gnome-download-http;/gedit/&gnome-minor-34;/gedit-&gedit-version;.tar.xz">
+  <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/&gnome-minor-34;/gedit-&gedit-version;.tar.xz">
+  <!ENTITY gedit-md5sum        "ec6632fa73d9ea6c817e74a98d16eab6">
   <!ENTITY gedit-size          "14 MB">
   <!ENTITY gedit-buildsize     "70 MB (with tests)">