Index: general.ent
===================================================================
--- general.ent	(revision 85c254fee4ef55441d2c45f57a7ecf0beb2b7b71)
+++ general.ent	(revision 4188f1f00d3bb4b52f0c39cd7811bbdec57c1a8d)
@@ -1,3 +1,3 @@
-<!ENTITY day          "09">
+<!ENTITY day          "10">
 <!ENTITY month        "09">
 <!ENTITY year         "2004">
@@ -102,5 +102,5 @@
 <!ENTITY gpm-version                  "1.20.1">
 <!ENTITY fcron-version                "2.9.4">
-<!ENTITY hdparm-version               "5.5">
+<!ENTITY hdparm-version               "5.7">
 <!ENTITY which-version                "2.16">
 <!ENTITY unzip-version                "5.51">
Index: general/sysutils/hdparm.xml
===================================================================
--- general/sysutils/hdparm.xml	(revision 85c254fee4ef55441d2c45f57a7ecf0beb2b7b71)
+++ general/sysutils/hdparm.xml	(revision 4188f1f00d3bb4b52f0c39cd7811bbdec57c1a8d)
@@ -7,8 +7,7 @@
 <!ENTITY hdparm-download-http "http://www.ibiblio.org/pub/Linux/system/hardware/hdparm-&hdparm-version;.tar.gz">
 <!ENTITY hdparm-download-ftp " ">
-<!ENTITY hdparm-size "33 KB">
+<!ENTITY hdparm-size "37 KB">
 <!ENTITY hdparm-buildsize "257 KB">
 <!ENTITY hdparm-time "0.01 SBU">
-
 ]>
 
@@ -23,10 +22,10 @@
 <sect2>
 <title>Introduction to <application>hdparm</application></title>
-                                                                               
+
 <para>The <application>hdparm</application> package contains a
-utility that is useful for controlling <acronym>ATA</acronym>/<acronym>IDE
-</acronym> controllers and hard drives both to increase
+utility that is useful for controlling <acronym>ATA</acronym>/ 
+<acronym>IDE</acronym> controllers and hard drives both to increase
 performance and sometimes to increase stability.</para>
-                                                                               
+
 <warning><para>As well as being useful, incorrect usage of
 <application>hdparm</application> can destroy your information and in
@@ -34,5 +33,5 @@
 doing. If in doubt, we recommend you leave the default kernel parameters
 alone.</para></warning>
-                                                                               
+
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
@@ -43,25 +42,26 @@
 <listitem><para>Estimated build time: &hdparm-time;</para></listitem></itemizedlist>
 </sect3>
-                                                                               
-<sect3><title>Additional downloads</title>
+
+<!-- <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
 <listitem><para>Required Patch: <ulink
 url="&patch-root;/hdparm-&hdparm-version;-glibc_CVS-1.patch"/></para></listitem>
-</itemizedlist></sect3>
-                                                                               
+</itemizedlist></sect3> -->
+
 </sect2>
 
 <sect2>
 <title>Installation of <application>hdparm</application></title>
-                                                                               
-<para>First apply the required patch:</para>
-                                                                               
-<screen><userinput><command>patch -Np1 -i ../hdparm-&hdparm-version;-glibc_CVS-1.patch</command></userinput></screen>
-                                                                               
-<para>Install <application>hdparm</application> by running the following commands:</para>
-                                                                               
+
+<!-- <para>First apply the required patch:</para>
+
+<screen><userinput><command>patch -Np1 -i ../hdparm-&hdparm-version;-glibc_CVS-1.patch</command></userinput></screen> -->
+
+<para>Install <application>hdparm</application> by running the following 
+commands:</para>
+
 <screen><userinput><command>make &amp;&amp;
 make install</command></userinput></screen>
-                                                                               
+
 <para>Note that by default, <command>hdparm</command> is installed in
 <filename class="directory">/sbin</filename> as some systems may require it
@@ -70,25 +70,26 @@
 <filename class="directory">/usr</filename> hierarchy, then replace the above
 commands with the following:</para>
-                                                                               
+
 <screen><userinput><command>make &amp;&amp;
 make binprefix=/usr install</command></userinput></screen>
-                                                                               
+
 </sect2>
 
 <sect2>
 <title>Contents</title>
-                                                                               
-<para>The <application>hdparm</application> package contains <command>hdparm</command>.</para>
-                                                                               
+
+<para>The <application>hdparm</application> package contains 
+<command>hdparm</command>.</para>
+
 </sect2>
-                                                                               
+
 <sect2><title>Description</title>
-                                                                               
+
 <sect3><title>hdparm</title>
-<para><command>hdparm</command> provides a command-line interface to various hard disk
-ioctls supported by the stock Linux
+<para><command>hdparm</command> provides a command-line interface to various 
+hard disk ioctls supported by the stock Linux
 <acronym>ATA</acronym>/<acronym>IDE</acronym> device driver
 subsystem.</para></sect3>
-                                                                               
+
 </sect2>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 85c254fee4ef55441d2c45f57a7ecf0beb2b7b71)
+++ introduction/welcome/changelog.xml	(revision 4188f1f00d3bb4b52f0c39cd7811bbdec57c1a8d)
@@ -23,4 +23,7 @@
 <itemizedlist>
 
+<listitem><para>September 10th, 2004 [randy]: Updated to 
+hdparm-5.7.</para></listitem>
+
 <listitem><para>September 9th, 2004 [randy]: Updated gcc patch 
 in SVGAlib instructions.</para></listitem>