Index: gnome/otherlibs/bonobo-conf/bonobo-conf-config.xml
===================================================================
--- gnome/otherlibs/bonobo-conf/bonobo-conf-config.xml	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
+++ gnome/otherlibs/bonobo-conf/bonobo-conf-config.xml	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
@@ -0,0 +1,5 @@
+<sect2>
+<title>Configuring bonobo-conf</title>
+&library-config;
+</sect2>
+
Index: gnome/otherlibs/bonobo-conf/bonobo-conf-desc.xml
===================================================================
--- gnome/otherlibs/bonobo-conf/bonobo-conf-desc.xml	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
+++ gnome/otherlibs/bonobo-conf/bonobo-conf-desc.xml	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
@@ -0,0 +1,8 @@
+<sect2>
+<title>Contents</title>
+
+<para>The bonobo-conf package contains libraries for handling GConf
+configuration data.</para>
+
+</sect2>
+
Index: gnome/otherlibs/bonobo-conf/bonobo-conf-exp.xml
===================================================================
--- gnome/otherlibs/bonobo-conf/bonobo-conf-exp.xml	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
+++ gnome/otherlibs/bonobo-conf/bonobo-conf-exp.xml	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
@@ -0,0 +1,8 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--prefix=/opt/gnome:</userinput>
+Install bonobo-conf in the Gnome 1.4 area.</para>
+
+</sect2>
+
Index: gnome/otherlibs/bonobo-conf/bonobo-conf-inst.xml
===================================================================
--- gnome/otherlibs/bonobo-conf/bonobo-conf-inst.xml	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
+++ gnome/otherlibs/bonobo-conf/bonobo-conf-inst.xml	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
@@ -0,0 +1,13 @@
+<sect2>
+<title>Installation of bonobo-conf</title>
+
+<para>Install bonobo-conf by running the following commands:</para>
+
+<para><screen><userinput>
+./configure --prefix=/opt/gnome &amp;&amp;
+make &amp;&amp;
+make install
+</userinput></screen></para>
+
+</sect2>
+
Index: gnome/otherlibs/bonobo-conf/bonobo-conf-intro.xml
===================================================================
--- gnome/otherlibs/bonobo-conf/bonobo-conf-intro.xml	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
+++ gnome/otherlibs/bonobo-conf/bonobo-conf-intro.xml	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
@@ -0,0 +1,18 @@
+<sect2>
+<title>Introduction to bonobo-conf</title>
+
+<screen>Download location (HTTP):       <ulink url="&bonobo-conf-download-http;"/>
+Download location (FTP):        <ulink url="&bonobo-conf-download-ftp;"/>
+Version used:                   &bonobo-conf-version;
+Package size:                   &bonobo-conf-size;
+Estimated Disk space required:  &bonobo-conf-buildsize;</screen>
+
+<para>The bonobo-conf package contains the Bonobo configuration
+moniker. The system is built on top of GConf and provides a convenient
+way to handle configuration data.</para>
+
+<screen>bonobo-conf depends on:
+<xref linkend="gnome-print"></xref>
+</screen>
+
+</sect2>
Index: gnome/otherlibs/bonobo-conf/bonobo-conf.ent
===================================================================
--- gnome/otherlibs/bonobo-conf/bonobo-conf.ent	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
+++ gnome/otherlibs/bonobo-conf/bonobo-conf.ent	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
@@ -0,0 +1,11 @@
+<!ENTITY bonobo-conf SYSTEM "bonobo-conf.xml">
+<!ENTITY bonobo-conf-intro SYSTEM "bonobo-conf-intro.xml">
+<!ENTITY bonobo-conf-inst SYSTEM "bonobo-conf-inst.xml">
+<!ENTITY bonobo-conf-exp SYSTEM "bonobo-conf-exp.xml">
+<!ENTITY bonobo-conf-desc SYSTEM "bonobo-conf-desc.xml">
+<!ENTITY bonobo-conf-config SYSTEM "bonobo-conf-config.xml">
+<!ENTITY bonobo-conf-buildsize "4.3 MB">
+<!ENTITY bonobo-conf-version "0.16">
+<!ENTITY bonobo-conf-download-http "http://ibiblio.org/pub/Linux/X11/gnome/sources/bonobo-conf/0.16/bonobo-conf-&bonobo-conf-version;.tar.gz">
+<!ENTITY bonobo-conf-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/bonobo-conf/0.16/bonobo-conf-&bonobo-conf-version;.tar.gz">
+<!ENTITY bonobo-conf-size "449 KB">
Index: gnome/otherlibs/bonobo-conf/bonobo-conf.xml
===================================================================
--- gnome/otherlibs/bonobo-conf/bonobo-conf.xml	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
+++ gnome/otherlibs/bonobo-conf/bonobo-conf.xml	(revision 4218a631a6a4605c14f0ebcbf63c5460e1eb20b2)
@@ -0,0 +1,12 @@
+<sect1 id="bonobo-conf" xreflabel="bonobo-conf-&bonobo-conf-version;">
+<?dbhtml filename="bonobo-conf.html" dir="gnome"?>
+<title>bonobo-conf-&bonobo-conf-version;</title>
+
+&bonobo-conf-intro;
+&bonobo-conf-inst;
+&bonobo-conf-exp;
+&bonobo-conf-config;
+&bonobo-conf-desc;
+
+</sect1>
+