Index: x/lib/lib.xml
===================================================================
--- x/lib/lib.xml	(revision 46c8991baa0a324a6e3ec6ed7edb8d0bda943acd)
+++ x/lib/lib.xml	(revision 4327bf03ccad720917b022dc58566399fda26ed7)
@@ -85,4 +85,6 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="tepl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="vulkan-headers.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="vulkan-loader.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="webkitgtk.xml"/>
 
Index: x/lib/vulkan-headers.xml
===================================================================
--- x/lib/vulkan-headers.xml	(revision 4327bf03ccad720917b022dc58566399fda26ed7)
+++ x/lib/vulkan-headers.xml	(revision 4327bf03ccad720917b022dc58566399fda26ed7)
@@ -0,0 +1,128 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY vulkan-headers-download-http "https://github.com/KhronosGroup/Vulkan-Headers/archive/refs/tags/v&vulkan-headers-version;/Vulkan-Headers-&vulkan-headers-version;.tar.gz">
+  <!ENTITY vulkan-headers-download-ftp  " ">
+  <!ENTITY vulkan-headers-md5sum        "805bde4c23197b86334cee5c2cf69d8e">
+  <!ENTITY vulkan-headers-size          "2.1 MB">
+  <!ENTITY vulkan-headers-buildsize     "25 MB">
+  <!ENTITY vulkan-headers-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="vulkan-headers" xreflabel="Vulkan-headers-&vulkan-headers-version;">
+  <?dbhtml filename="vulkan-headers.html"?>
+
+  <title>Vulkan-headers-&vulkan-headers-version;</title>
+
+  <indexterm zone="vulkan-headers">
+    <primary sortas="a-vulkan-headers">Vulkan-headers</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Vulkan-headers</title>
+
+    <para>
+      The <application>Vulkan-headers</application> package contains a set of
+      header files necessary to build and link applications against the Vulkan
+      API.
+    </para>
+
+    &lfs120_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&vulkan-headers-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&vulkan-headers-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &vulkan-headers-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &vulkan-headers-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &vulkan-headers-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &vulkan-headers-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Vulkan-headers Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="cmake"/>
+    </para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Vulkan-headers</title>
+
+    <para>
+      Install <application>Vulkan-headers</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=/usr -G Ninja .. &amp;&amp;
+ninja</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>ninja install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          /usr/include/vk_video,
+          /usr/include/vulkan,
+          /usr/share/cmake/VulkanHeaders, and
+          /usr/share/vulkan
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+  </sect2>
+</sect1>
Index: x/lib/vulkan-loader.xml
===================================================================
--- x/lib/vulkan-loader.xml	(revision 4327bf03ccad720917b022dc58566399fda26ed7)
+++ x/lib/vulkan-loader.xml	(revision 4327bf03ccad720917b022dc58566399fda26ed7)
@@ -0,0 +1,152 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY vulkan-loader-download-http "https://github.com/KhronosGroup/Vulkan-Loader/archive/refs/tags/v&vulkan-loader-version;/Vulkan-Loader-&vulkan-loader-version;.tar.gz">
+  <!ENTITY vulkan-loader-download-ftp  " ">
+  <!ENTITY vulkan-loader-md5sum        "6903f9d285afcd1a167ec7c46cbabd49">
+  <!ENTITY vulkan-loader-size          "1.6 MB">
+  <!ENTITY vulkan-loader-buildsize     "9.8 MB">
+  <!ENTITY vulkan-loader-time          "0.1 SBU">
+]>
+
+<sect1 id="vulkan-loader" xreflabel="Vulkan-loader-&vulkan-loader-version;">
+  <?dbhtml filename="vulkan-loader.html"?>
+
+  <title>Vulkan-loader-&vulkan-loader-version;</title>
+
+  <indexterm zone="vulkan-loader">
+    <primary sortas="a-vulkan-loader">Vulkan-loader</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Vulkan-loader</title>
+
+    <para>
+      The <application>Vulkan-loader</application> package contains a library
+      which provides the Vulkan API and provides core support for graphics
+      drivers for Vulkan.
+    </para>
+
+    &lfs120_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&vulkan-loader-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&vulkan-loader-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &vulkan-loader-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &vulkan-loader-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &vulkan-loader-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &vulkan-loader-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Vulkan-loader Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="cmake"/>,
+      <xref linkend="lxml"/>,
+      <xref linkend="vulkan-headers"/>,
+      <xref linkend="wayland"/>, and
+      <xref linkend="xorg7-lib"/>
+    </para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Vulkan-loader</title>
+
+    <para>
+      Install <application>Vulkan-loader</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=/usr       \
+      -DCMAKE_BUILD_TYPE=Release        \
+      -DCMAKE_SKIP_RPATH=TRUE           \
+      -G Ninja .. &amp;&amp;
+ninja</userinput></screen>
+
+    <para>
+      This package does not come with a working test suite.
+      <!-- To run the tests, we need to follow a complex process to download a
+      customized copy of googletest.-->
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>ninja install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libvulkan.so
+        </seg>
+        <seg>
+          /usr/lib/cmake/VulkanLoader
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libvulkan">
+        <term><filename class="libraryfile">libvulkan.so</filename></term>
+        <listitem>
+          <para>
+            provides the Vulkan API and core support for graphics drivers
+          </para>
+          <indexterm zone="vulkan-loader libvulkan">
+            <primary sortas="c-libvulkan">libvulkan.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </sect2>
+</sect1>