Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision c9f6f0196c86073718f4004d7639a5988e0a3a9b)
+++ gnome/platform/vte.xml	(revision 4393df481b780bbcba3c11d39311b1306575d76e)
@@ -153,8 +153,8 @@
       <seglistitem>
         <seg>
-          vte2_&vte-nano; and gnome-pty-helper
+          vte-2.&vte-nano; and gnome-pty-helper
         </seg>
         <seg>
-          libvte2_&vte-nano;.so
+          libvte-2.&vte-nano;.so
         </seg>
         <seg>
@@ -171,5 +171,5 @@
 
       <varlistentry id="vte291">
-        <term><command>vte2_&vte-nano;</command></term>
+        <term><command>vte-2.&vte-nano;</command></term>
         <listitem>
           <para>
@@ -178,5 +178,5 @@
           </para>
           <indexterm zone="vte vte291">
-            <primary sortas="b-vte2-&vte-nano;">vte2_&vte-nano;</primary>
+            <primary sortas="b-vte2-&vte-nano;">vte-2.&vte-nano;</primary>
           </indexterm>
         </listitem>
@@ -184,5 +184,5 @@
 
       <varlistentry id="libvte291">
-        <term><filename class="libraryfile">libvte2_&vte-nano;.so</filename></term>
+        <term><filename class="libraryfile">libvte-2.&vte-nano;.so</filename></term>
         <listitem>
           <para>
@@ -191,5 +191,5 @@
           </para>
           <indexterm zone="vte libvte291">
-            <primary sortas="c-libvte2-&vte-nano;">libvte2_&vte-nano;.so</primary>
+            <primary sortas="c-libvte2-&vte-nano;">libvte-2.&vte-nano;.so</primary>
           </indexterm>
         </listitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c9f6f0196c86073718f4004d7639a5988e0a3a9b)
+++ introduction/welcome/changelog.xml	(revision 4393df481b780bbcba3c11d39311b1306575d76e)
@@ -49,4 +49,8 @@
       <itemizedlist>
         <listitem>
+          <para>[fernando] - Update to lxterminal-0.2.0.  Fixes 5716
+          <ulink url="&blfs-ticket-root;5722">#5722</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[fernando] - Update to lxtask-0.1.6.  Fixes 5716
           <ulink url="&blfs-ticket-root;5716">#5716</ulink>.</para>
Index: lxde/apps/lxterminal.xml
===================================================================
--- lxde/apps/lxterminal.xml	(revision c9f6f0196c86073718f4004d7639a5988e0a3a9b)
+++ lxde/apps/lxterminal.xml	(revision 4393df481b780bbcba3c11d39311b1306575d76e)
@@ -7,8 +7,8 @@
   <!ENTITY lxterminal-download-http "&sourceforge-repo;/lxde/lxterminal-&lxterminal-version;.tar.gz">
   <!ENTITY lxterminal-download-ftp  " ">
-  <!ENTITY lxterminal-md5sum        "fd9140b45c0f28d021253c4aeb8c4aea">
-  <!ENTITY lxterminal-size          "300 KB">
-  <!ENTITY lxterminal-buildsize     "4.2 MB">
-  <!ENTITY lxterminal-time          "0.1 SBU">
+  <!ENTITY lxterminal-md5sum        "e80ad1b6e26212f3d43908c2ad87ba4d">
+  <!ENTITY lxterminal-size          "244 KB">
+  <!ENTITY lxterminal-buildsize     "4 MB">
+  <!ENTITY lxterminal-time          "less than 0.1 SBU">
 ]>
 
@@ -99,5 +99,6 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput>sed -i 's/System/Utility/' data/lxterminal.desktop.in &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
@@ -116,4 +117,9 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para>
+      <command>sed -i ... lxterminal.desktop.in</command>: Fixes submenu for
+      lxterminal entry.
+    </para>
 
     <para>
Index: packages.ent
===================================================================
--- packages.ent	(revision c9f6f0196c86073718f4004d7639a5988e0a3a9b)
+++ packages.ent	(revision 4393df481b780bbcba3c11d39311b1306575d76e)
@@ -571,5 +571,5 @@
 <!ENTITY lxrandr-version              "0.3.0">
 <!ENTITY lxtask-version               "0.1.6">
-<!ENTITY lxterminal-version           "0.1.11">
+<!ENTITY lxterminal-version           "0.2.0">
 <!ENTITY lxdm-version                 "0.5.0">
 