Index: general/genutils/bc/bc-inst.xml
===================================================================
--- general/genutils/bc/bc-inst.xml	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ general/genutils/bc/bc-inst.xml	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -6,5 +6,5 @@
 <para><screen><userinput>./configure --prefix=/usr &amp;&amp;
 make &amp;&amp;
-make install &amp;&amp;</userinput></screen></para>
+make install</userinput></screen></para>
 
 </sect2>
Index: general/genutils/rep-gtk/rep-gtk.ent
===================================================================
--- general/genutils/rep-gtk/rep-gtk.ent	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ general/genutils/rep-gtk/rep-gtk.ent	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -7,5 +7,5 @@
 <!ENTITY rep-gtk-buildsize "2.7 MB">
 <!ENTITY rep-gtk-version "0.16">
-<!ENTITY rep-gtk-download-http "http://sourceforge.net/project/showfiles.php?group_id=581">
+<!ENTITY rep-gtk-download-http "http://telia.dl.sourceforge.net/sourceforge/rep-gtk/rep-gtk-0.16.tar.gz">
 <!ENTITY rep-gtk-download-ftp "">
 <!ENTITY rep-gtk-size "144 KB">
Index: general/prog/librep/librep.ent
===================================================================
--- general/prog/librep/librep.ent	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ general/prog/librep/librep.ent	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -7,5 +7,5 @@
 <!ENTITY librep-buildsize "6.7 MB">
 <!ENTITY librep-version "0.16.1">
-<!ENTITY librep-download-http "http://sourceforge.net/project/showfiles.php?group_id=580">
+<!ENTITY librep-download-http "http://telia.dl.sourceforge.net/sourceforge/librep/librep-0.16.1.tar.gz0">
 <!ENTITY librep-download-ftp "">
 <!ENTITY librep-size "896 KB">
Index: general/prog/python/python-intro.xml
===================================================================
--- general/prog/python/python-intro.xml	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ general/prog/python/python-intro.xml	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -12,4 +12,6 @@
 prototyping large programs or developing them entirely.</para>
 
+<screen>Python will utiltize:
+expat</screen>
 
 </sect2>
Index: gnome/lib/gtk-doc/gtk-doc-intro.xml
===================================================================
--- gnome/lib/gtk-doc/gtk-doc-intro.xml	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ gnome/lib/gtk-doc/gtk-doc-intro.xml	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -11,8 +11,22 @@
 extracting specially-formatted comments from the code to create API
 documentation.  This package is <emphasis>optional</emphasis>, if it is not
-installed, packages will not build the documentation.</para>
+installed, packages will not build the documentation. If you choose to
+install this package, you will need to follow the hint titled <ulink
+url="http://hints.linuxfromscratch.org/hints/docbook.txt">Installing
+Docbook DTDs and Tools</ulink> to centralize the catalogs, add
+additional dtd's and dsssl templates and install openjade. If
+sgml-common will not install:</para>
+
+<screen>ln -s /usr/share/automake-1.6 /usr/share/automake</screen>
+
+<para>You also need to add dtd v3.0 to your collection, and finally, you need to modify dtd-3.1 by adding <ulink url="http:www.labs.redhat.com/png/png-support.html">png-support-3.1.dtd</ulink> to <filename>/usr/share/sgml/docbook/sgml-dtd-3.1</filename> and placing:</para>
+
+<screen>PUBLIC "-//GNOME//DTD DocBook PNG Variant V1.1//EN" "png-support-3.1.dtd"</screen>
+
+<para>into the DocBook driver file section of
+<filename>/usr/share/sgml/docbook/sgml-dtd-3.1/catalog</filename>.</para>
 
 <screen>gtk-doc depends on:
-DocBook DTD v3.0, OpenJade, DSSSL Stylesheets</screen>
+OpenJade</screen>
 
 </sect2>
Index: gnome/lib/libglade/libglade-desc.xml
===================================================================
--- gnome/lib/libglade/libglade-desc.xml	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ gnome/lib/libglade/libglade-desc.xml	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -2,5 +2,6 @@
 <title>Contents</title>
 
-<para>The libglade package contains <userinput>libglade libraries</userinput></para>
+<para>The libglade package contains <userinput>libglade
+libraries</userinput>.</para>
 
 </sect2>
Index: gnome/lib/libglade/libglade-intro.xml
===================================================================
--- gnome/lib/libglade/libglade-intro.xml	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ gnome/lib/libglade/libglade-intro.xml	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -22,5 +22,5 @@
 <xref linkend="libxml"/> and <xref linkend="GTK"/>
 libglade-0.17 will utilize:
-<xref linkend="gnome-libs"/></screen>
+<xref linkend="gnome-libs"/> and <xref linkend="Python"/> if compiled utilizing expat.</screen>
 
 </sect2>
Index: index.xml
===================================================================
--- index.xml	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ index.xml	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20020829">
-<!ENTITY releasedate "August 29th, 2002">
+<!ENTITY version "20020830">
+<!ENTITY releasedate "August 30th, 2002">
 
 <!ENTITY % book SYSTEM "book/book.ent">
Index: multimedia/audioutils/lame/lame.ent
===================================================================
--- multimedia/audioutils/lame/lame.ent	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ multimedia/audioutils/lame/lame.ent	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -7,5 +7,5 @@
 <!ENTITY lame-buildsize "6.8 MB">
 <!ENTITY lame-version "3.92">
-<!ENTITY lame-download-http "http://sourceforge.net/project/showfiles.php?group_id=290">
+<!ENTITY lame-download-http "http://telia.dl.sourceforge.net/sourceforge/lame/lame-3.92.tar.gz">
 <!ENTITY lame-download-ftp "">
 <!ENTITY lame-size "956 KB">
Index: x/lib/gtk/gtk+2-intro.xml
===================================================================
--- x/lib/gtk/gtk+2-intro.xml	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ x/lib/gtk/gtk+2-intro.xml	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -12,5 +12,7 @@
 
 <screen>GTK+ depends on:
-<xref linkend="GLib2"/>, <xref linkend="Pango"/>, <xref linkend="ATK"/>, <xref linkend="libpng"/>, <xref linkend="libtiff"/> and <xref linkend="libjpeg"/></screen>
+<xref linkend="GLib2"/>, <xref linkend="Pango"/>, <xref linkend="ATK"/>, <xref linkend="libpng"/>, <xref linkend="libtiff"/> and <xref linkend="libjpeg"/>
+GTK+ will utilize:
+<xref linkend="gtk-doc"/></screen>
 
 </sect2>
Index: x/lib/pango/pango-intro.xml
===================================================================
--- x/lib/pango/pango-intro.xml	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ x/lib/pango/pango-intro.xml	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -14,5 +14,5 @@
 <xref linkend="GLib2"/>
 Pango will utilize:
-freetype2 and <xref linkend="xfree86"/></screen>
+<xref linkend="xfree86"/></screen>
 
 </sect2>
Index: x/wm/fluxbox/fluxbox.ent
===================================================================
--- x/wm/fluxbox/fluxbox.ent	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ x/wm/fluxbox/fluxbox.ent	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -7,5 +7,5 @@
 <!ENTITY fluxbox-buildsize "5 MB">
 <!ENTITY fluxbox-version "0.1.10">
-<!ENTITY fluxbox-download-http "http://fluxbox.sourceforge.net">
+<!ENTITY fluxbox-download-http "http://telia.dl.sourceforge.net/sourceforge/fluxbox/fluxbox-0.1.10.tar.gz">
 <!ENTITY fluxbox-download-ftp "">
 <!ENTITY fluxbox-size "380 KB">
Index: x/wm/sawfish/sawfish.ent
===================================================================
--- x/wm/sawfish/sawfish.ent	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ x/wm/sawfish/sawfish.ent	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -7,5 +7,5 @@
 <!ENTITY sawfish-buildsize "12 MB">
 <!ENTITY sawfish-version "1.1a-gtk2">
-<!ENTITY sawfish-download-http "http://sourceforge.net/project/showfiles.php?group_id=32">
+<!ENTITY sawfish-download-http "http://telia.dl.sourceforge.net/sawmill/sawfish-1.1a-gtk2.tar.gz">
 <!ENTITY sawfish-download-ftp "">
 <!ENTITY sawfish-size "1.5 MB">
Index: x/wm/xfce/xfce.ent
===================================================================
--- x/wm/xfce/xfce.ent	(revision 6a78dbbe7f13180977cf1485cf33f92afa1bb92a)
+++ x/wm/xfce/xfce.ent	(revision 4407e9395c44195b8b8f0c0d6fddf4bf2404f05e)
@@ -7,5 +7,5 @@
 <!ENTITY xfce-buildsize "22.9 MB">
 <!ENTITY xfce-version "3.8.16">
-<!ENTITY xfce-download-http "http://www.sourceforge.net/projects/xfce">
+<!ENTITY xfce-download-http "http://telia.dl.sourceforge.net/xfce/xfce-3.8.16.tar.gz">
 <!ENTITY xfce-download-ftp "">
 <!ENTITY xfce-size "4.7 MB">