Index: x/lib/libdrm.xml
===================================================================
--- x/lib/libdrm.xml	(revision d3ef1e499c6c7c8525e854a412102ebf707ae9a1)
+++ x/lib/libdrm.xml	(revision 4437f6347b9ce3767253b5f8cb2922a2d950a6e1)
@@ -65,14 +65,9 @@
     <title>Installation of libdrm</title>
 
-    <para><application>libdrm</application> should be installed with the same
-    installation prefix as your X Window System.  Replace
-    '<replaceable>[prefix]</replaceable>' in the instructions below with the
-    chosen installation prefix of your X Window System.</para>
-
     <para>Install <application>libdrm</application> by running the following
     commands:</para>
 
 <screen><userinput>autoreconf &amp;&amp;
-./configure --prefix=<replaceable>[prefix]</replaceable> &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
@@ -109,5 +104,5 @@
         <term><filename class='libraryfile'>libdrm.[so,a]</filename></term>
         <listitem>
-          <para>contains the Direct Rendering Manager library functions.</para>
+          <para>contains the Direct Rendering Module library functions.</para>
           <indexterm zone="libdrm libdrm-lib">
             <primary sortas="c-libdrm">libdrm.[so,a]</primary>
Index: x/lib/mesalib.xml
===================================================================
--- x/lib/mesalib.xml	(revision d3ef1e499c6c7c8525e854a412102ebf707ae9a1)
+++ x/lib/mesalib.xml	(revision 4437f6347b9ce3767253b5f8cb2922a2d950a6e1)
@@ -77,5 +77,6 @@
     <para><ulink
     url="http://prdownloads.sourceforge.net/mesa3d/MesaDemos-&mesalib-version;.tar.bz2"/>
-    provides demos and a test program to verify that DRI is working as expected.</para>
+    provides a demo and a diagnostic program to verify that GL is working 
+    properly.</para>
 
     <note>
@@ -92,10 +93,9 @@
 
     <para>If you've installed the X Window System into any prefix other than
-    <filename class="directory">/usr/X11R6</filename>, then execute the
-    following commands to correct several hard coded directory assumptions in
-    the source files.  Be sure to replace '<replaceable>[prefix]</replaceable>'
-    with the installation prefix of your installed X Window System:</para>
+    <filename class="directory">/usr</filename>, then you'll need to adjust the
+    commands below for your system.  Correct several hard coded directories 
+    in the source files with the following command:</para>
 
-<screen><userinput>find . -type f -exec sed -i 's@/usr/X11R6@<replaceable>[prefix]</replaceable>@g' {} \;</userinput></screen>
+<screen><userinput>find . -type f -exec sed -i 's@/usr/X11R6@/usr@g' {} \;</userinput></screen>
 
     <para>Install <application>MesaLib</application> 
@@ -108,7 +108,7 @@
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>bin/installmesa <replaceable>[prefix]</replaceable> &amp;&amp;
-mkdir -v -p <replaceable>[prefix]</replaceable>/lib/modules/dri &amp;&amp;
-install -v -o root -m 0755 lib/*dri* <replaceable>[prefix]</replaceable>/lib/modules/dri</userinput></screen>
+<screen role="root"><userinput>bin/installmesa /usr &amp;&amp;
+mkdir -v -p /usr/lib/modules/dri &amp;&amp;
+install -v -m755 lib/*dri* /usr/lib/modules/dri</userinput></screen>
 
     <para>If you've extracted the GLUT and Demos packages as well, then 
@@ -121,5 +121,5 @@
     <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>install -v -o root -m 0755 glxinfo glxgears <replaceable>[prefix]</replaceable>/bin</userinput></screen>
+<screen role="root"><userinput>install -v -m755 glxinfo glxgears /usr/bin</userinput></screen>
 
     <note>
@@ -147,4 +147,32 @@
     </segmentedlist>
 
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="glxgears">
+        <term><filename>glxgears</filename></term>
+        <listitem>
+          <para>a GL demo useful for troubleshooting graphics problems.</para>
+          <indexterm zone="MesaLib glxgears">
+            <primary sortas="b-glxgears">glxgears</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="glxinfo">
+        <term><filename>glxinfo</filename></term>
+        <listitem>
+          <para>a diagnostic program that displays information about the 
+          graphics hardware and installed GL libraries.</para>
+          <indexterm zone="MesaLib glxinfo">
+            <primary sortas="b-glxinfo">glxinfo</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
   </sect2>
 