Index: general.ent
===================================================================
--- general.ent	(revision 4e0e382880254974931ef5c312954809f1b7286c)
+++ general.ent	(revision 4464d40547a403bf3b65c8220d0322b94a3c0e24)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "22">                   <!-- Always 2 digits -->
+<!ENTITY day          "23">                   <!-- Always 2 digits -->
 <!ENTITY month        "04">                   <!-- Always 2 digits -->
 <!ENTITY year         "2017">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "April 22nd &year;">
+<!ENTITY releasedate  "April 23rd &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision 4e0e382880254974931ef5c312954809f1b7286c)
+++ general/genlib/genlib.xml	(revision 4464d40547a403bf3b65c8220d0322b94a3c0e24)
@@ -117,4 +117,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lzo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mtdev.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="nodejs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="npth.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="nspr.xml"/>
Index: general/genlib/liblinear.xml
===================================================================
--- general/genlib/liblinear.xml	(revision 4e0e382880254974931ef5c312954809f1b7286c)
+++ general/genlib/liblinear.xml	(revision 4464d40547a403bf3b65c8220d0322b94a3c0e24)
@@ -95,9 +95,10 @@
         v&liblinear-version;.tar.gz. To obtain this package with the proper
         filename, run:
+      </para>
 
 <screen><userinput>wget -c https://github.com/cjlin1/liblinear/archive/v&liblinear-version;.tar.gz \
-     -O liblinear-&liblinear-version;.tar.gz</userinput></screen>.
-        </para>
-      </note>
+     -O liblinear-&liblinear-version;.tar.gz</userinput></screen>
+
+    </note>
 
     <para condition="html" role="usernotes">
Index: general/genlib/nodejs.xml
===================================================================
--- general/genlib/nodejs.xml	(revision 4464d40547a403bf3b65c8220d0322b94a3c0e24)
+++ general/genlib/nodejs.xml	(revision 4464d40547a403bf3b65c8220d0322b94a3c0e24)
@@ -0,0 +1,226 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY nodejs-download-http "https://github.com/nodejs/node/archive/v&nodejs-version;.tar.gz">
+  <!ENTITY nodejs-download-ftp  " ">
+  <!ENTITY nodejs-md5sum        "cef1dc78e5e4bdeb875fce58baa10a7d">
+  <!ENTITY nodejs-size          "45 MB">
+  <!ENTITY nodejs-buildsize     "483 MB">
+  <!ENTITY nodejs-time          "10.5 SBU">
+]>
+
+<sect1 id="nodejs" xreflabel="nodejs-&nodejs-version;">
+  <?dbhtml filename="nodejs.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: $</othername>
+    <date>$Date: $</date>
+  </sect1info>
+
+  <title>Node.js-&nodejs-version;</title>
+
+  <indexterm zone="nodejs">
+    <primary sortas="a-nodejs">nodejs</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Node.js</title>
+
+    <para>
+      <application>Node.js</application> is a
+      <application>JavaScript</application> runtime built on
+      <application>Chrome's</application> V8 JavaScript engine. 
+    </para>
+
+    &lfs80_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&nodejs-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&nodejs-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &nodejs-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &nodejs-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &nodejs-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &nodejs-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <note>
+      <para>
+        The <application>Node.js</application> source tarball shown above
+        downloads with the correct name, node-&nodejs-version;.tar.gz,
+        if using a browser such as Firefox. If you prefer to use a command line
+        program such as wget, you normally would obtain
+        v&nodejs-version;.tar.gz. To obtain this package with the proper
+        filename, run:
+      </para>
+
+<screen><userinput>wget -c https://github.com/nodejs/node/archive/v&nodejs-version;.tar.gz \
+     -O node-&nodejs-version;.tar.gz</userinput></screen>
+
+    </note>
+
+    <bridgehead renderas="sect3">Node.js Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="python2"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="c-ares"/>, and
+      <!-- <xref linkend="icu"/>, and -->
+      <xref linkend="openssl"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="icu"/> (currently broken),
+      <ulink url="https://github.com/nodejs/http-parser">http-parser</ulink>,
+      <ulink url="https://github.com/libuv/libuv">libuv</ulink>, and
+      <ulink url="https://www.npmjs.com/">npm</ulink>, (internal versions of
+      these packages will be used if they are not present)
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/nodejs"/>
+    </para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Node.js</title>
+
+    <para>
+      Build <application>Node.js</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr          \
+            --shared-cares         \
+            --shared-openssl       \
+            --shared-zlib          \
+            --with-intl=icu-small  &amp;&amp;
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install &amp;&amp;
+ln -sf node /usr/share/doc/node-&nodejs-version;</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><parameter>--with-intl=icu-small</parameter>: build a local, but
+    small copy of <application>icu</application>. Other values are
+    <option>icu-full</option> (to build a full <application>icu</application>
+    library) and <option>system-icu</option> (to use the system
+    <application>icu</application>).</para>
+
+    <para><parameter>--shared-{cares,openssl,zlib}</parameter>: use the system
+    installed libraries instead of local copies.</para>
+
+    <para><option>--without-npm</option>: do not build
+    <application>npm</application> (use if you'd like to build a separate
+    <application>npm</application> later).</para>
+
+    <para><option>--shared-{http-parser,libuv}</option>: use the system
+    installed libraries instead of local copies.</para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          /usr/bin/node and /usr/bin/npm
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          /usr/lib/node_modules/npm/
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="node">
+        <term><command>node</command></term>
+        <listitem>
+          <para>
+            is the server-side JavaScript runtime.
+          </para>
+          <indexterm zone="nodejs node">
+            <primary sortas="b-node">node</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="npm">
+        <term><command>npm</command></term>
+        <listitem>
+          <para>
+            is the <application>Node.js</application> package manager.
+          </para>
+          <indexterm zone="nodejs npm">
+            <primary sortas="b-npm">npm</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><filename class='directory'>/usr/lib/node_modules/npm/</filename></term>
+        <listitem>
+          <para>is the installaton root for Node.js executables and
+          libraries.</para>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4e0e382880254974931ef5c312954809f1b7286c)
+++ introduction/welcome/changelog.xml	(revision 4464d40547a403bf3b65c8220d0322b94a3c0e24)
@@ -43,4 +43,16 @@
 -->
     <listitem>
+      <para>April 23rd, 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Add Node.js-7.9.0.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Add c-ares-1.12.0.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>April 22nd, 2017</para>
       <itemizedlist>
Index: networking/netlibs/c-ares.xml
===================================================================
--- networking/netlibs/c-ares.xml	(revision 4464d40547a403bf3b65c8220d0322b94a3c0e24)
+++ networking/netlibs/c-ares.xml	(revision 4464d40547a403bf3b65c8220d0322b94a3c0e24)
@@ -0,0 +1,140 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY c-ares-download-http "https://c-ares.haxx.se/download/c-ares-&c-ares-version;.tar.gz">
+  <!ENTITY c-ares-download-ftp  " ">
+  <!ENTITY c-ares-md5sum        "2ca44be1715cd2c5666a165d35788424">
+  <!ENTITY c-ares-size          "1.7 MB">
+  <!ENTITY c-ares-buildsize     "13.1 MB (with tests)">
+  <!ENTITY c-ares-time          "0.1 SBU (with tests)">
+]>
+
+<sect1 id="c-ares" xreflabel="c-ares-&c-ares-version;">
+  <?dbhtml filename="c-ares.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: $</othername>
+    <date>$Date: $</date>
+  </sect1info>
+
+  <title>c-ares-&c-ares-version;</title>
+
+  <indexterm zone="c-ares">
+    <primary sortas="a-c-ares">c-ares</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to c-ares</title>
+
+    <para>
+      <application>c-ares</application> is a C library for asynchronous DNS
+      requests.
+    </para>
+
+    &lfs80_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&c-ares-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&c-ares-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &c-ares-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &c-ares-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &c-ares-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &c-ares-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of c-ares</title>
+
+    <para>
+      Install <application>c-ares</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not include a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Library</segtitle>
+
+      <seglistitem>
+        <seg>
+          libcares.so
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="c-ares-lib">
+        <term><filename class='libraryfile'>libcares.so</filename></term>
+        <listitem>
+          <para>
+            A C library for asynchronous DNS requests.
+          </para>
+          <indexterm zone="c-ares c-ares-lib">
+            <primary sortas="c-c-ares">c-ares.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: networking/netlibs/curl.xml
===================================================================
--- networking/netlibs/curl.xml	(revision 4e0e382880254974931ef5c312954809f1b7286c)
+++ networking/netlibs/curl.xml	(revision 4464d40547a403bf3b65c8220d0322b94a3c0e24)
@@ -95,4 +95,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="c-ares"/>,
       <xref linkend="gnutls"/>,
       <xref linkend="mitkrb"/>,
@@ -100,5 +101,4 @@
       <xref linkend="openldap"/>,
       <xref linkend="samba"/>,
-      <ulink url="http://daniel.haxx.se/projects/c-ares/">c-ares</ulink>,
       <ulink url="https://www.gnu.org/software/libidn/#libidn2/">libidn2</ulink>,
       <ulink url="https://launchpad.net/libmetalink/">libmetalink</ulink>,
Index: networking/netlibs/netlibs.xml
===================================================================
--- networking/netlibs/netlibs.xml	(revision 4e0e382880254974931ef5c312954809f1b7286c)
+++ networking/netlibs/netlibs.xml	(revision 4464d40547a403bf3b65c8220d0322b94a3c0e24)
@@ -22,4 +22,5 @@
 
 
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="c-ares.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="curl.xml"/>
   <!-- <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="geoclue.xml"/> -->
Index: networking/netutils/wireshark.xml
===================================================================
--- networking/netutils/wireshark.xml	(revision 4e0e382880254974931ef5c312954809f1b7286c)
+++ networking/netutils/wireshark.xml	(revision 4464d40547a403bf3b65c8220d0322b94a3c0e24)
@@ -105,4 +105,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="c-ares"/>,
       <xref linkend="gnutls"/>,
       <xref linkend="libgcrypt"/>,
@@ -113,5 +114,4 @@
       <xref linkend="sbc"/>,
       <ulink url="http://www.gnu.org/software/adns/adns.html">adns</ulink>,
-      <ulink url="http://c-ares.haxx.se/">c-ares</ulink>,
       <ulink url="http://www.ibr.cs.tu-bs.de/projects/libsmi/">libsmi</ulink>,
       <ulink url="http://www.maxmind.com/app/c">GeoIP</ulink>, and
Index: packages.ent
===================================================================
--- packages.ent	(revision 4e0e382880254974931ef5c312954809f1b7286c)
+++ packages.ent	(revision 4464d40547a403bf3b65c8220d0322b94a3c0e24)
@@ -157,4 +157,5 @@
 <!ENTITY lzo-version                  "2.10">
 <!ENTITY mtdev-version                "1.1.5">
+<!ENTITY nodejs-version               "7.9.0">
 <!ENTITY npth-version                 "1.3">
 <!ENTITY nspr-version                 "4.14">
@@ -434,4 +435,5 @@
 
 <!-- Chapter 17 -->
+<!ENTITY c-ares-version               "1.12.0">
 <!ENTITY curl-version                 "7.54.0">
 <!-- <!ENTITY geoclue-version              "0.12.0"> -->